<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
    if ($_GET['periodo'] == 5)
        $descripPeriodo = "FINAL";
    else
        $descripPeriodo = $_GET['periodo'];

    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    
    if ($datosCurso['id_sede'] == 3) {
        $infBajo = 1;
        $supBajo = 3.4;
        $infBasico = 3.5;
        $supBasico = 3.9;
        $infAlto = 4;
        $supAlto = 4.4;
        $infSuperior = 4.5;
        $supSuperior = 5;
    }
    
    $idGrado = $datosCurso['id_grado'];


    $puestosCurso = array();
    if ($_GET['periodo'] != 5) { // PUESTOS POR PERIODO
	    if ($idGrado > 15 && $idGrado < 21){ // PREESCOLAR
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodoPree($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['d1'] == 'E')
                            $sumaNotas += 5; 
                        else if ($notas['d1'] == 'S')
                            $sumaNotas += 4; 
                        else if ($notas['d1'] == 'B')
                            $sumaNotas += 3; 
                        else if ($notas['d1'] == 'D')
                            $sumaNotas += 2;
                        else
                            $sumaNotas += 0;
                        
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];

                $notaFinal = number_format($puestosCurso[$conMatriculados][0],1);
    
                if ($notaFinal >= $infBajo && $notaFinal < $infBasico){
                    $puestosCurso[$conMatriculados][2] = "BAJO";
                }
                elseif ($notaFinal >= $infBasico && $notaFinal < $infAlto){
                    $puestosCurso[$conMatriculados][2] = "BASICO";
                }
                elseif ($notaFinal >= $infAlto && $notaFinal < $infSuperior){
                    $puestosCurso[$conMatriculados][2] = "ALTO";
                }
                elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                    $puestosCurso[$conMatriculados][2] = "SUPERIOR";
                }
                else
                    $puestosCurso[$conMatriculados][2] = "******";

                $conMatriculados += 1;
            }
        }
        else {  // PRIMARIA Y BACHILLERATO
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['recuperacion'] > $notas['definitiva'])
                            $sumaNotas += $notas['recuperacion'];
                        else
                            $sumaNotas += $notas['definitiva'];
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];

                $notaFinal = number_format($puestosCurso[$conMatriculados][0],1);
    
                if ($notaFinal >= $infBajo && $notaFinal < $infBasico){
                    $puestosCurso[$conMatriculados][2] = "BAJO";
                }
                elseif ($notaFinal >= $infBasico && $notaFinal < $infAlto){
                    $puestosCurso[$conMatriculados][2] = "BASICO";
                }
                elseif ($notaFinal >= $infAlto && $notaFinal < $infSuperior){
                    $puestosCurso[$conMatriculados][2] = "ALTO";
                }
                elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                    $puestosCurso[$conMatriculados][2] = "SUPERIOR";
                }
                else
                    $puestosCurso[$conMatriculados][2] = "******";

                $conMatriculados += 1;
            }
        }
    }
    else {   // PUESTOS FINALES
        
    }
    rsort($puestosCurso);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <div class="vista-reportes">
        <div>
            <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
            <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
            <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
            <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
            <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
        </div>
        <h1 class="no-margins text-center">LISTA DE ESTUDIANTES POR PUESTO</h1>
        <br>
        <table class='tablaMatriculas'>
            <tr>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado/Curso: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
                <td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Periodo: <strong><?=$descripPeriodo ?></strong></td>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                <td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Fecha: <strong><?=date("Y-m-d") ?></strong></td>
            </tr>
        </table>
        <table class="tablaMatriculas" style="margin-top: 3px;">
            <thead>
                <tr>
                    <th>PUESTO</th>
                    <th>APELLIDOS Y NOMBRES DEL ESTUDIANTE</th>
                    <th>PROMEDIO</th>
                    <th>NIVEL</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $numPuesto = 0;
                    for ($j = 0; $j < $conMatriculados; $j++){
                        $numPuesto = $j + 1; ?>
                        <tr>
                            <td><?=$numPuesto ?></td>
                            <td><?=$puestosCurso[$j][1] ?></td>
                            <td><?php if ($puestosCurso[$j][0]>0) echo $puestosCurso[$j][0]; ?></td>
                            <td><?=$puestosCurso[$j][2] ?></td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
    </div>
</body>
