<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";

	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	
	function calcularEdad($fecha){
	    $dias = explode("-", $fecha, 3);
	    $dias = mktime(0,0,0,$dias[1],$dias[0],$dias[2]);
	    $edad = (int)((time()-$dias)/31556926 );

	    $fecha_de_nacimiento = $fecha; 
	    $fecha_actual = date ("Y-m-d"); 
	    $array_nacimiento = explode ( "-", $fecha_de_nacimiento ); 
	    $array_actual = explode ( "-", $fecha_actual ); 
	    $anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos aos 
	    $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
	    $dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos das 
	    //ajuste de posible negativo en $das 
	    if ($dias < 0) { 
	        --$meses; 
	        //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
	        switch ($array_actual[1]) { 
	           case 1:     $dias_mes_anterior=31; break; 
	           case 2:     $dias_mes_anterior=31; break; 
	           case 3:  
	                if (bisiesto($array_actual[0])) 
	                { 
	                    $dias_mes_anterior=29; break; 
	                } else { 
	                    $dias_mes_anterior=28; break; 
	                } 
	           case 4:     $dias_mes_anterior=31; break; 
	           case 5:     $dias_mes_anterior=30; break; 
	           case 6:     $dias_mes_anterior=31; break; 
	           case 7:     $dias_mes_anterior=30; break; 
	           case 8:     $dias_mes_anterior=31; break; 
	           case 9:     $dias_mes_anterior=31; break; 
	           case 10:     $dias_mes_anterior=30; break; 
	           case 11:     $dias_mes_anterior=31; break; 
	           case 12:     $dias_mes_anterior=30; break; 
	        } 
	        $dias=$dias + $dias_mes_anterior; 
	    } 
	    //ajuste de posible negativo en $meses 
	    if ($meses < 0) { 
	        --$anos; 
	        $meses=$meses + 12; 
	    } 
	    return $anos;
	}

    function bisiesto($anio_actual){ 
        $bisiesto = false; 
        //probamos si el mes de febrero del ao actual tiene 29 das 
        if (checkdate(2,29,$anio_actual)) { 
            $bisiesto = true; 
        } 
        return $bisiesto;
    }
	
	$datosDocentes = docentes::datosDocentes();
?>

<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover">
        <thead>
            <tr>
				<th>#</th>
				<th>APELLIDOS Y NOMBRES</th>
				<th>DOCUMENTO</th>
				<th>EXPEDIDO</th>
				<th>DIRECCI&Oacute;N</th>
				<th>TEL&Eacute;FONO</th>
				<th>CORREO</th>
				<th>ESCALAF&Oacute;N</th>
				<th>TITULO</th>
				<th>EDAD</th>
				<th>CLAVE</th>
				<th>ESTADO</th>
            </tr>
        </thead>
        <tbody>
            <?php
                if($datosDocentes){
                    $i = 1;
                    foreach ($datosDocentes as $docente) {
					    if ($docente['id_estado'] != 1)
					        $estado = "RETIRADO";
					    else
					        $estado = "ACTIVO";
					    $edadDocente = calcularEdad($docente['fecha_nacimiento']);
						echo "<tr>";
						echo "<td>".$i."</td>";
						echo "<td>".$docente['apellidos']." ".$docente['nombres']."</td>";
						echo "<td>".$docente['documento']."</td>";
						echo "<td>".$docente['municipio_documento']."</td>";
						echo "<td>".$docente['direccion']."</td>";
						echo "<td>".$docente['telefono']."</td>";								
						echo "<td>".$docente['correo']."</td>";
						echo "<td>".$docente['escalafon']."</td>";
						echo "<td>".$docente['titulo']."</td>";
						echo "<td>".$edadDocente." A&ntilde;os"."</td>";
						echo "<td>".$docente['clave']."</td>";
						echo "<td>".$estado."</td>";
						echo "</tr>";
						$i++;
                    }
                }
                else{ ?>
                    <tr>
                        <td colspan="2">No existen Docentes</td>
                    </tr>
                    <?php
                }
            ?>
        </tbody>
    </table>
</div>