<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	
	function calcularEdad($fecha){
	    $dias = explode("-", $fecha, 3);
	    $dias = mktime(0,0,0,$dias[1],$dias[0],$dias[2]);
	    $edad = (int)((time()-$dias)/31556926 );

	    $fecha_de_nacimiento = $fecha; 
	    $fecha_actual = date ("Y-m-d"); 
	    $array_nacimiento = explode ( "-", $fecha_de_nacimiento ); 
	    $array_actual = explode ( "-", $fecha_actual ); 
	    $anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos aos 
	    $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
	    $dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos das 
	    //ajuste de posible negativo en $das 
	    if ($dias < 0) { 
	        --$meses; 
	        //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
	        switch ($array_actual[1]) { 
	           case 1:     $dias_mes_anterior=31; break; 
	           case 2:     $dias_mes_anterior=31; break; 
	           case 3:  
	                if (bisiesto($array_actual[0])) 
	                { 
	                    $dias_mes_anterior=29; break; 
	                } else { 
	                    $dias_mes_anterior=28; break; 
	                } 
	           case 4:     $dias_mes_anterior=31; break; 
	           case 5:     $dias_mes_anterior=30; break; 
	           case 6:     $dias_mes_anterior=31; break; 
	           case 7:     $dias_mes_anterior=30; break; 
	           case 8:     $dias_mes_anterior=31; break; 
	           case 9:     $dias_mes_anterior=31; break; 
	           case 10:     $dias_mes_anterior=30; break; 
	           case 11:     $dias_mes_anterior=31; break; 
	           case 12:     $dias_mes_anterior=30; break; 
	        } 
	        $dias=$dias + $dias_mes_anterior; 
	    } 
	    //ajuste de posible negativo en $meses 
	    if ($meses < 0) { 
	        --$anos; 
	        $meses=$meses + 12; 
	    } 
	    return $anos;
	}

    function bisiesto($anio_actual){ 
        $bisiesto = false; 
        //probamos si el mes de febrero del ao actual tiene 29 das 
        if (checkdate(2,29,$anio_actual)) { 
            $bisiesto = true; 
        } 
        return $bisiesto;
    }
	
?>

<!DOCTYPE html>
<html lang="es">
    <head><meta charset="windows-1252">
	    
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La funcin de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	<body onload="imprimir();">
		<div class="vista-reportes">
		    <div>
			    <div class="escudo-reporte"><img style="width: 70px; height: 70px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		    </div>
			<h1 class="no-margins text-center">DIRECTORIO DE DOCENTES A&Ntilde;O LECTIVO <?=$_SESSION['aLectivo'] ?></h1>
			<br>
			<table class='tablaMatriculas'>
				<tr>
					<td width="2%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>#</b></td>
					<td width="23%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>APELLIDOS Y NOMBRES</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>DOCUMENTO</b></td>
					<td width="15%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>EXPEDIDO</b></td>
					<td width="20%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>DIRECCI&Oacute;N</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>TEL&Eacute;FONO</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>CORREO</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>ESCALAF&Oacute;N</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>TITULO</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>EDAD</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>CLAVE</b></td>
					<td width="10%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>ESTADO</b></td>
				</tr>
				<?php
					$i = 1;
					$datosDocentes = docentes::datosDocentes();
					foreach ($datosDocentes as $docente) {
					    if ($docente['id_estado'] != 1)
					        $estado = "RETIRADO";
					    else
					        $estado = "ACTIVO";
					    $edadDocente = calcularEdad($docente['fecha_nacimiento']);
						echo "<tr>";
						echo "<td style='text-align: right; border: 1px solid #bbb; padding: 2px,0;'>".$i."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$docente['apellidos']." ".$docente['nombres']."</td>";
						echo "<td style='text-align: center; border: 1px solid #bbb; padding: 0;'>".$docente['documento']."</td>";
						echo "<td style='text-align: center; border: 1px solid #bbb; padding: 0;'>".$docente['municipio_documento']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$docente['direccion']."</td>";
						echo "<td style='text-align: center; border: 1px solid #bbb; padding: 0;'>".$docente['telefono']."</td>";								
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$docente['correo']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$docente['escalafon']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$docente['titulo']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$edadDocente." A&ntilde;os"."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$docente['clave']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$estado."</td>";
						echo "</tr>";
						$i++;
					}
				?>
			</table>
			<table class='tablaMatriculas'>
				<tr>
					<td width="100%" style="text-align: left; background-color: #DADADA;"><b>TOTAL DOCENTES REGISTRADOS EN LA INSTITUCI&Oacute;N: <?=$i-1 ?></b></td>
				</tr>
			</table>
		</div>
	</body>
</html>