<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/sised.php";
 
    $datosPerfiles = sised::datosPerfiles();
?>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="col-lg-12">     
                <h1><i class="fa fa-user-circle"> </i> Crear Nuevo Usuario</h1>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal">
                    <div class="form-group">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <br><br>                                
                                <label class="col-sm-2 control-label">Apellidos:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="napellidos" onKeyPress="return soloNombres(event)"></div>
                                <label class="col-sm-2 control-label">Nombres:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="nnombres" onKeyPress="return soloNombres(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Documento:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="ndocumento" onblur="validarDocumentoUsuario()" onKeyPress="return soloNumeros(event)"></div>
                                <label class="col-sm-2 control-label">Expedido en:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="nmunicipiodocumento" onKeyPress="return soloDirecciones(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Fecha Nace:</label>
                                <div class="col-sm-4"><input type="date" class="form-control" value="" id="nfechanacimiento"></div>
                                <label class="col-sm-2 control-label">Genero:</label>
                                <div class="col-sm-4">
                                    <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="ngenero" id="ngenero"> MASCULINO </label>
                                    <label class="checkbox-inline i-checks"> <input type="radio" value="2" name="ngenero" id="ngenero"> FEMENINO </label>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Dirección:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="ndireccion" onKeyPress="return soloDirecciones(event)"></div>
                                <label class="col-sm-2 control-label">Municipio:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="nmunicipiodireccion" onKeyPress="return soloNombres(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Teléfono:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="ntelefono" onKeyPress="return soloTelefonos(event)"></div>
                                <label class="col-sm-2 control-label">Correo:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="" id="ncorreo" onKeyPress="return soloCorreos(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Perfil:</label>
                                <div class="col-sm-4">
                                    <select class="form-control m-b" id="nidperfil">
                                        <?php
                                            foreach ($datosPerfiles as $perfil) { ?>
                                                <option value="<?=$perfil['id_perfil'] ?>"><?=$perfil['descripcion'] ?></option>
                                                <?php
                                            }
                                        ?>
                                    </select>
                                </div>
                                <label class="col-sm-2 control-label">Estado:</label>
                                <div class="col-sm-4">
                                    <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="nestado" id="nestado"> ACTIVO </label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12">
                        <div class="form-group">
                        <hr>
                            <label class="btn btn-primary btn-sm" onclick="crearUsuario()"><i class="fa fa-arrow-circle-up"></i> Guardar Nuevo Usuario</label>
                            <label class="btn btn-default btn-sm" onclick="verListaUsuarios()"><i class="fa fa-close"> </i> Cancelar</label>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('.i-checks').iCheck({
            checkboxClass: 'icheckbox_square-green',
            radioClass: 'iradio_square-green',
        });

        $('.js-example-basic-single').select2();
    });
</script>
