<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/sised.php";

    $datosGradosSede = colegios::datosGradosSede($_SESSION['aLectivo'],$_GET['idsede']);

    if($datosGradosSede){
        echo "<li class='list-group-item gray-bg'><strong>Lista de Grados en la Sede</strong></li>";
        foreach ($datosGradosSede as $grado) {
            $datosNivel = sised::datosNivel($grado['id_nivel']); ?>
            <li class="list-group-item">
                <a data-toggle="tab" href="#tab-1" onclick="verCursosGradoSede(<?=$grado['id_grado_sede'] ?>)">
                    <strong><i class="fa fa-cubes"> </i> <?=$grado['descripcion'] ?></strong>
                    <div class="small m-t-xs">
                        <p>
                            GRADO DE <?=$datosNivel['descripcion'] ?>
                        </p>
                    </div>
                </a>
            </li>
            <?php
        }
    }
    else{ ?>
            <p>No existen Grados en la Sede</p>
        <?php
    }
?>
