<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";

    $datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$_GET['idmatricula']);
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$datosEstudiante['id_curso']);
    $datosGrado = colegios::datosGrado($datosCurso['id_grado']);
    $datosNivel = sised::datosNivel($datosGrado['id_nivel']);
    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
    
    if ($datosEstudiante['id_genero'] == 1)
        $contenidoCostancia = "Que ".$datosEstudiante['estudiante']." identificado con Documento No. ".$datosEstudiante['documento'].", se encuentra matriculado en la Sede ".$_GET['sede'];
    else
        $contenidoCostancia = "Que ".$datosEstudiante['estudiante']." identificada con Documento No. ".$datosEstudiante['documento'].", se encuentra matriculada en la Sede ".$_GET['sede'];
    
    $contenidoCostancia .= " de ésta Institución Educativa, para el Año Lectivo ".$_SESSION['aLectivo'].", cursando el Grado ".$_GET['curso']." de ".$datosNivel['descripcion'];
    $contenidoCostancia .= ", asistiendo en la Jornada ".$datosJornada['descripcion'].".";
    //$contenidoCostancia = mb_strtoupper($contenidoCostancia,'UTF-8');
    $contenidoCostancia3 = "";

    date_default_timezone_set('America/Bogota');
    $dia = date("d");
    $mes = date("m");
    $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    $mesEnLetras = $meses[$mes-1];
    $anno = date("Y");
    $destinoCostancia = "La presente constancia se expide a solicitud del interesado en ".$_SESSION['municipioColegio']." a los ".$dia." días del mes de ".$mesEnLetras." de ".$anno.".";
    $destinoCostancia = $destinoCostancia;

    ?>
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>CONTENIDO DE LA CONSTANCIA</h5>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal">
                    <div class="form-group">
                        <div class="col-lg-11">
                            <textarea class="form-control m-b" id="parrafo1"><?=$contenidoCostancia ?></textarea>
                       </div>
                    </div>
                    <div class="form-group">
                        <div class="col-lg-11">
                            <textarea class="form-control m-b" id="parrafo3"><?=$contenidoCostancia2 ?></textarea>
                       </div>
                    </div>
                    <div class="form-group">
                        <div class="col-lg-11">
                            <textarea class="form-control m-b" id="parrafo2"><?=$destinoCostancia ?></textarea>
                       </div>
                    </div>
                    <hr>
                    <div><label> <input type="checkbox" name="confirma" id="confirma"> <i></i> Firma Digital</label></div>
                </form>
            </div>
        </div>
        <div class="form-group">
            <div class="col-lg-12">
                <button class="btn btn-primary" onclick="imprimirConstancia()">Imprimir Constancia</button>
                <button class="btn btn-danger" onclick="cerrarFicha()">Cerrar</button>
           </div>
        </div>
    </div>
    <?php
?>