<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $datosEstudiantes = estudiantes::buscarEstudiantesSinCarnet($_SESSION['aLectivo']);
?>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover">
        <thead>
            <tr>
                <th><b>#</b></th>
                <th><b>Sel</b></th>
                <th><b>Apellidos y Nombres</b></th>
                <th><b>Documento</b></th>
                <th><b>ID</b></th>
                <th><b>Sede</b></th>
                <th><b>Curso</b></th>
            </tr>
        </thead>
        <tbody>
            <?php
                $cont = 1;
                foreach ($datosEstudiantes as $estudiante) {
                    $idMatricula = $estudiante['id_matricula'];
                    $nombreEstudiante = $estudiante['apellidos']." ".$estudiante['nombres'];
                    $descripcionSede = "";
                    $descripcionCurso = "";
                    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$estudiante['id_sede']);
                    $descripcionSede = $datosSede['nombre'];
                    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$estudiante['id_curso']);
                    $descripcionCurso = $datosCurso['nomenclatura']; ?>
                    <tr>
                        <td><?=$cont ?></td>
                        <td><input type="checkbox" name="chequeados[]" id="chequeados[]" value="<?=$idMatricula ?>"></td>
                        <td><?=$nombreEstudiante ?></td>
                        <td><?=$estudiante['documento'] ?></td>
                        <td><?=$estudiante['id_estudiante'] ?></td>
                        <td><?=$descripcionSede ?></td>
                        <td><?=$descripcionCurso ?></td>
                    </tr>
                    <?php
                    $cont++;
                }
            ?>                                  
        </tbody>
    </table>
</div>
