
var ww = document.body.clientWidth;

$(document).ready(function() {
	$(".nav li a").each(function() {
		if ($(this).next().length > 0) {
			$(this).addClass("parent");
		};
	})
	
	$(".toggleMenu").click(function(e) {
		e.preventDefault();
		$(this).toggleClass("active");
		$(".nav").toggle();
	});
	adjustMenu();
	
	 $(document).scroll(function(){
        // si la posicion del scroll es superior a 55 pixels...
        if($(window).scrollTop()>30) {
            // indicamos que el header tiene una posicion fija a -47 pixels
            $("header").css({"position":"fixed", "top":-30});
            // definimos el margen superior al contenido cuando queda fijado
            $("content").css({"margin-top":30});
        }
        else{
            $("header").css({"position":"inherit", "top":"inherit"});
            $("content").css({"margin-top":0});
        }
    });
	$.get('php/mostrar-candidatos-campana.php?idcampana=' + $('#idcampana').val(),function(data){
		$('#contenido_der').html(data);
	});
})

$(window).bind('resize orientationchange', function() {
	ww = document.body.clientWidth;
	adjustMenu();
});

var adjustMenu = function() {
	if (ww < 768) {
		$(".toggleMenu").css("display", "inline-block");
		if (!$(".toggleMenu").hasClass("active")) {
			$(".nav").hide();
		} else {
			$(".nav").show();
		}
		$(".nav li").unbind('mouseenter mouseleave');
		$(".nav li a.parent").unbind('click').bind('click', function(e) {
			// must be attached to anchor element to prevent bubbling
			e.preventDefault();
			$(this).parent("li").toggleClass("hover");
		});
	} 
	else if (ww >= 768) {
		$(".toggleMenu").css("display", "none");
		$(".nav").show();
		$(".nav li").removeClass("hover");
		$(".nav li a").unbind('click');
		$(".nav li").unbind('mouseenter mouseleave').bind('mouseenter mouseleave', function() {
		 	// must be attached to li so that mouseleave is not triggered when hover over submenu
		 	$(this).toggleClass('hover');
		});
	}
}

function mostrarListaCandidatosCampana(){ 
	$.get('php/mostrar-candidatos-campana.php?idcampana=' + $('#idcampana').val(),function(data){
		$('#contenido_der').html(data);
	});
}

function crearCandidato(){ 
	$('#areabotones').hide();
	$.get('php/nuevo-candidato.php?idcampana=' + $('#idcampana').val(),function(data){
		$('#crear-candidato').html(data);
	});
}

function cancelarCrearCandidato(){ 
	mostrarListaCandidatosCampana();
}

function guardarCrearCandidato(){ 
	if ($('#idestudiante').val() == 0){
		alert("Debe seleccionar el estudiante que va a ser candidato.");
		$('#idestudiante').css('border','2px solid #FF0000');
		$('#idestudiante').focus();
		return false;
	}
	else if ($('#numerotarjeton').val() == ""){
		alert("Debe digitar el numero en el tarjeton del candidato.");
		$('#numerotarjeton').css('border','2px solid #FF0000');
		$('#numerotarjeton').focus();
		return false;
	}
	else {
		$.ajax({
			type: 'POST',
			url: 'php/guardar-nuevo-candidato.php',
			data: 'idcampana=' + $('#idcampana').val() + '&idestudiante=' + $('#idestudiante').val() + '&numerotarjeton=' + $('#numerotarjeton').val(),
			success:function(msj){
				if (msj == 1){
					alert ("El candidato se ha creado correctamente.");
					mostrarListaCandidatosCampana();
				}
			},
			error:function(){
				alert ("Ha ocurrido un error durante la consulta.");
			}
		});
	}
}

function retirarCandidato(idCandidato){ 
	$.ajax({
		type: 'POST',
		url: 'php/retirar-candidato.php',
		data: 'idcandidato=' + idCandidato,
		success:function(msj){
			if (msj == 1){
				alert ("El candidato se ha retirado correctamente.");
				mostrarListaCandidatosCampana();
			}
			else{
				alert ("No se puede retirar.");
			}
		},
		error:function(){
			alert ("Ha ocurrido un error durante la consulta.");
		}
	});
}

