<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";
    //require_once "../clases/observadores.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../sin-sesion.php");
    }
    $idEstudiante = $_GET['id'];
    $idConsulta = $_GET['consu'];
    
    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";
	$rutaLogo = "../imagenes/logo-sised.png";
	// MANUELA BELTRAN, XXXXX, PUERTO COLOMBIA
	if ($_SESSION['idColegio'] == 22 || $_SESSION['idColegio'] == 9 || $_SESSION['idColegio'] == 33) {
        $_SESSION['aLectivo'] = $_SESSION['annoLectivo'];
	}
?>

<!DOCTYPE html>
<html lang="es" class="no-js">
    <head>
        <meta charset="UTF-8" />
        <title>Sistema Integrado de Informaci&oacute;n y Servicios para Instituciones Educativas</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <link rel="shortcut icon" href="../imagenes/favicon-sised.png">
        <link href="../css/bootstrap.min.css" rel="stylesheet">
        <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
        <link href="../css/animate.css" rel="stylesheet">
        <link href="../css/style.css" rel="stylesheet">
        <link href="../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
        <link href="../css/plugins/toastr/toastr.min.css" rel="stylesheet">
    </head>
	
	<body>
        <div id="wrapper">
            <nav class="navbar-default navbar-static-side" role="navigation">
                <div class="sidebar-collapse">
                    <ul class="nav metismenu" id="side-menu">
                        <li class="nav-header">
                            <div class="dropdown profile-element" align="center">
                                <span>
                                    <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                                </span>
                                <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                    <span class="clear">
                                        <span class="block m-t-xs">
                                            <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                        </span>
                                    </span>
                                </a>
                            </div>
                            <div class="logo-element">
                                Sised9
                            </div>
                        </li>
                        <li class="special_link">
                            <a href=""><i class="fa fa-home"></i> <span class="nav-label">Inicio</span></a>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()"><i class="fa fa-sign-out"></i> <span class="nav-label"> Salir</span></a>
                        </li>
                    </ul>
                </div>
            </nav>
	    </div>
	    
        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                            <a>
                                <?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?>
                            </a>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
            
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Observador del Estudiante</h2>
                    <ol class="breadcrumb">
                        <li class="active">
                            <a href="">Inicio</a>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <form class="form-inline" onSubmit="false">
                        <div class="col-lg-10">
                            <input class="form-control" type="hidden" name="idestudiante" id="idestudiante" value="<?=$idEstudiante ?>">
                            <input class="form-control" type="hidden" name="idconsulta" id="idconsulta" value="<?=$idConsulta ?>">
                            <!--
                            <input class="form-control" type="text" name="documento" id="documento" value="<?=$idEstudiante ?>" placeholder="Documento estudiante" autofocus="" autocomplete="off">
                            <button type="button" class="btn btn-primary" onClick="consultarDocumento()">Buscar</button>
                            -->
                        </div>
                    </form>
                </div>
                <div class="row">
                    <div id="datosestudiante">...</div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
            
            <div id="crearanotacion" class="modal fade" aria-hidden="true" tabindex="-1" aria-labelledby="exampleModalLabel">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">NUEVA ANOTACIÓN</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-sm-6">
                                    <label>Aspecto de la Anotación:</label>
                                    <select class="form-control m-b" id="idaspecto">
                                        <option value="0">...</option>
                                        <option value="1">GENERAL</option>
                                        <option value="2">ACADÉMICO</option>
                                        <option value="3">DISCIPLINARIO</option>
                                        <option value="4">CONVIVENCIA</option>
                                    </select>
                                </div>
                                <div class="col-sm-12">
                                    <label>Descripción de la Situación:</label>
                                    <textarea class="form-control m-b" id="situacion" rows="3"></textarea>
                                </div>
                                <div class="col-sm-12">
                                    <label>Descargos del Estudiante:</label>
                                    <textarea class="form-control m-b" id="descargos" rows="3"></textarea>
                                </div>
                                <div class="col-sm-12">
                                    <label>Compromisos Acordados:</label>
                                    <textarea class="form-control m-b" id="compromisos" rows="3"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="crearAnotacion()">Guardar</button>
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="crearseguimiento" class="modal fade" aria-hidden="true" tabindex="-1" aria-labelledby="exampleModalLabel">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">NUEVO SEGUIMIENTO</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-sm-12">
                                    <input class="form-control" type="hidden" name="idanotacion" id="idanotacion" value="">
                                    <label>Descripción del Seguimiento:</label>
                                    <textarea class="form-control m-b" id="seguimiento" rows="5"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="crearSeguimiento()">Guardar</button>
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="editarseguimiento" class="modal fade" aria-hidden="true" tabindex="-1" aria-labelledby="exampleModalLabel">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                            <h4 class="modal-title">EDITAR SEGUIMIENTO</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-sm-12">
                                    <input class="form-control" type="hidden" name="idseguimiento" id="idseguimiento" value="-">
                                    <label>Descripción del Seguimiento:</label>
                                    <textarea class="form-control m-b" id="textoseguimiento" rows="5"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="actualizarSeguimiento()">Actualizar</button>
                            <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
	</body>
	
    <script src="../js/jquery-3.1.1.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>
    
    <script src="../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../js/plugins/toastr/toastr.min.js"></script>

	<script>
        $(document).ready(function () {
            $('#datosestudiante').hide();
            $('#idaspecto').val(0);
            $('#situacion').val("");
            $('#descargos').val("");
            $('#compromisos').val("");
            $('#seguimiento').val("");
            //consultarDocumento();
            consultarIdEstudiante();
        });
        
		function imprimirObservador(){
            url = "imprimir-observador.php?id=" + $('#idestudiante').val();
            window.open(url,'_blank');
		}

		function consultarIdEstudiante(){
		    if ($('#idestudiante').val() != '') {
                $('#datosestudiante').show();
                $.get('php/datos-estudiante-id.php?id=' + $('#idestudiante').val() + '&consu=' + $('#idconsulta').val(),function(data){
                    $('#datosestudiante').html(data);
                });
		    }
		}
        
        function datosSeguimiento($idSeguimiento){
            $('#idseguimiento').val($idSeguimiento);
            $.get('php/consulta-seguimiento.php?idseguimiento=' + $idSeguimiento,function(data){
                $('#textoseguimiento').val(data);
            }); 
            //$('#textoseguimiento').val($seguimiento);
        }
        
        function codigoAnotacion($idAnotacion){
            $('#idanotacion').val($idAnotacion);
        }
        
        function actualizarSeguimiento(){
            if($('#textoseguimiento').val() != ''){
                $.ajax({
                    type: 'POST',
                    url: 'php/actualizar-seguimiento.php',
                    data: 'seguimiento=' + $('#textoseguimiento').val() + '&idseguimiento=' + $('#idseguimiento').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario){
                            consultarIdEstudiante();
                            //consultarDocumento();
                            swal({
                                title: "Excelente!",
                                text: "El seguimiento se ha guardado satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Debe diligenciar todos los campos para guaradar el seguimiento en el observador del estudiante",
                    type: "info"
                });
            }
        }
        
        function crearSeguimiento($idAnotacion){
            if($('#seguimiento').val() != ''){
                $.ajax({
                    type: 'POST',
                    url: 'php/crear-seguimiento.php',
                    data: 'seguimiento=' + $('#seguimiento').val() + '&idanotacion=' + $('#idanotacion').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario){
                            consultarIdEstudiante();
                            //consultarDocumento();
                            swal({
                                title: "Excelente!",
                                text: "El seguimiento se ha guardado satisfactoriamente",
                                type: "success"
                            });
                            $('#seguimiento').val("");
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Debe diligenciar todos los campos para guaradar el seguimiento en el observador del estudiante",
                    type: "info"
                });
            }
        }
        
        function crearAnotacion(){
            if($('#idaspecto').val() != 0 && $('#situacion').val() != '' && $('#descargos').val() != '' && $('#compromisos').val() != ''){
                $.ajax({
                    type: 'POST',
                    url: 'php/crear-anotacion.php',
                    data: 'idestudiante=' + $('#idestudiante').val() + '&idaspecto=' + $('#idaspecto').val() + '&situacion=' + $('#situacion').val() + '&descargos=' + $('#descargos').val() + '&compromisos=' + $('#compromisos').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario){
                            consultarIdEstudiante();
                            //consultarDocumento();
                            swal({
                                title: "Excelente!",
                                text: "La anotación se ha guardado satisfactoriamente",
                                type: "success"
                            });
                            $('#idaspecto').val(0);
                            $('#situacion').val("");
                            $('#descargos').val("");
                            $('#compromisos').val("");
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Debe diligenciar todos los campos para guaradar la anotación en el observador del estudiante",
                    type: "info"
                });
            }
        }

		function consultarDocumento(){
		    if ($('#documento').val() != '') {
                $('#datosestudiante').show();
                $.get('php/datos-estudiante.php?documento=' + $('#documento').val(),function(data){
                    $('#datosestudiante').html(data);
                });
		    } else {
    			$('#documento').focus();
		        $('#datosestudiante').hide();
		        alert("Ingrese el documento a buscar");
		    }
		    //$('#documento').val('');
		}
		
        function cerrarSesion(){
            window.close();
        }
	</script>
</html>