<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/notas.php";

	//$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio']."-149.jpg";
	$idCurso = $_POST['idcurso'];
	$numPeriodo = $_POST['periodo'];
	$rutaFirmaRector = "../../../colegios/".$_SESSION['bdColegio']."/firmas/rector.jpg";
	$rutaFirmaSecret = "../../../colegios/".$_SESSION['bdColegio']."/firmas/secretaria.jpg";
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
	$notaMinima = $infBajo;
	$notaMaxima = $supSuperior;
	$nombreRepresentante = $datosConfiguracion['representante'];
	$cargoRepresentante = $datosConfiguracion['cargo_representante'];
	$nombreAdministrador = $datosConfiguracion['administrador'];
	$cargoAdministrador = $datosConfiguracion['cargo_administrador'];

	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$idGradoSede = $datosCurso['id_grado_sede'];
	$idJornada = $datosCurso['id_jornada'];
	$idDocente = $datosCurso['id_docente'];
	$nombreJornada = $nombreDirector = $nombreSede = "-";
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	$datosDirector = docentes::datosDirectorCurso($idDocente);
	$nombreDirector = $datosDirector['apellidos']." ".$datosDirector['nombres'];
	$datosJornada = sised::datosJornada($datosCurso['id_jornada']);
	$nombreJornada = $datosJornada['descripcion'];

?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
    <body onload="imprimir();">
		<div class="vista-reportes">
			<?php
				/* REPORTES POR PERIODO*/
				if ($_POST['periodo'] != 5){
					if ($idGrado > 15 && $idGrado < 21){
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i];
							$observacionesGenerales = "";
							$fallas = $fallasJ = 0; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 80px; height: 80px; margin-top: 1px;" src="<?=$rutaEscudo ?>"></div>
							    
							    <div style="text-align: center; font-size: 12px;">REPÚBLICA DE COLOMBIA</div>
							    <div style="text-align: center; font-size: 12px;">SECRETARÍA DE EDUCACIÓN TERRITORIAL DE TUNJA</div>
			                    <div style="text-align: center; font-size: 16px;"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></div>
			                    <div style="text-align: center; font-size: 12px;">SEDE: <?=$datosSede['nombre'] ?></div>
			                    <!--<div style="text-align: center; font-size: 12px;"><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></div>-->
			                    <div style="text-align: center; font-size: 10px;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> | RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></div>
			                    <div style="text-align: center; font-size: 14px;">INFORME DE EVALUACIÓN POR PERIODO</div>
						    </div>
							<?php
    							$bajosP1 = $bajosP2 = $bajosP3 = $bajosP4 = "";
    							$basicosP1 = $basicosP2 = $basicosP3 = $basicosP4 = "";
    							$altosP1 = $altosP2 = $altosP3 = $altosP4 = "";
    							$superioresP1 = $superioresP2 = $superioresP3 = $superioresP4 = "";
    							
							    $datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos26($_SESSION['aLectivo'],$idMatricula); ?>
								<table class='tablaMatriculas'>
									<tr>
										<td width="100%" style="font-size: 22px;text-align: center; border: 0; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px;"><b><?=$datosEstudiante['estudiante'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 0px;">
									<tr>
										<td width="35%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px; font-size: 14px;">No. Documento: <?=$datosEstudiante['documento'] ?></td>
										<!--<td width="18%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px; font-size: 14px;">Matricula No.: <?=$idMatricula ?></td>-->
										<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px; font-size: 14px;">Grado: <?=$desCurso ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px; font-size: 14px;">Periodo: <?=$numPeriodo ?></td>
										<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px; font-size: 14px;">Vigencia: <?=$_SESSION['aLectivo'] ?></td>
									</tr>
								</table>
								<?php
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								$registroAreas = $registroAsignaturas = array();
								$conAsignaturas = $conAreas = 0;
								foreach ($datosAreas as $area) {
									$idArea = $area['id_area'];
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$conAsignaturasArea = $sumaArea = 0;
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodosPree($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										if (count($notasEstudiante)){
											$registroAsignaturas[$conAsignaturas][0] = $conAreas;
											$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion'];
											$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
											$registroAsignaturas[$conAsignaturas][31] = $asignaturaarea['id_asignatura'];
											foreach ($notasEstudiante as $notas) {
												if ($notas['periodo'] == 1){
													$registroAsignaturas[$conAsignaturas][3] = $notas['d1'];
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][3] == "D") {
                        								    $bajosP1++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][3] == "P"){
                        								    $basicosP1++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][3] == "A"){
                        								    $altosP1++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][3] == "S"){
                        								    $superioresP1++;
                        								}
                    								}
												}
												elseif ($notas['periodo'] == 2){
													$registroAsignaturas[$conAsignaturas][6] = $notas['d1'];
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][6] == "D") {
                        								    $bajosP2++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][6] == "P"){
                        								    $basicosP2++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][6] == "A"){
                        								    $altosP2++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][6] == "S"){
                        								    $superioresP2++;
                        								}
                    								}
												}
												elseif ($notas['periodo'] == 3){
													$registroAsignaturas[$conAsignaturas][9] = $notas['d1'];
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][9] == "D") {
                        								    $bajosP3++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][9] == "P"){
                        								    $basicosP3++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][9] == "A"){
                        								    $altosP3++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][9] == "S"){
                        								    $superioresP3++;
                        								}
                    								}
												}
												elseif ($notas['periodo'] == 4){
													$registroAsignaturas[$conAsignaturas][12] = $notas['d1'];
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][12] == "D") {
                        								    $bajosP4++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][12] == "P"){
                        								    $basicosP4++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][12] == "A"){
                        								    $altosP4++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][12] == "S"){
                        								    $superioresP4++;
                        								}
                    								}
												}
												if ($notas['periodo'] == $numPeriodo){
													$registroAsignaturas[$conAsignaturas][19] = $notas['d1'];
                                                    $registroAsignaturas[$conAsignaturas][22] = $notas['d1'];
                                                    $registroAsignaturas[$conAsignaturas][23] = "-.-";$registroAsignaturas[$conAsignaturas][30] = "";
					                                if ($registroAsignaturas[$conAsignaturas][22] == "S"){
					                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERADO";
					                                	if ($datosEstudiante['id_diversa'] == 1) {
					                                	    $registroAsignaturas[$conAsignaturas][29] = $notas['descriptor_diversa'];
					                                	} else {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,1);
    														$registroAsignaturas[$conAsignaturas][29] = $datosDescriptorPeriodo['descripcion'];
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,5);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	}
					                                }
					                                elseif ($registroAsignaturas[$conAsignaturas][22] == "A"){
					                                	$registroAsignaturas[$conAsignaturas][23] = "ALCANZADO";
					                                	if ($datosEstudiante['id_diversa'] == 1) {
					                                	    $registroAsignaturas[$conAsignaturas][29] = $notas['descriptor_diversa'];
					                                	} else {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,2);
    														$registroAsignaturas[$conAsignaturas][29] = $datosDescriptorPeriodo['descripcion'];
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,5);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	}
					                                }
					                                elseif ($registroAsignaturas[$conAsignaturas][22] == "P"){
					                                	$registroAsignaturas[$conAsignaturas][23] = "EN PROCESO";
					                                	if ($datosEstudiante['id_diversa'] == 1) {
					                                	    $registroAsignaturas[$conAsignaturas][29] = $notas['descriptor_diversa'];
					                                	} else {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,3);
    														$registroAsignaturas[$conAsignaturas][29] = $datosDescriptorPeriodo['descripcion'];
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,6);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	}
					                                }
					                                elseif ($registroAsignaturas[$conAsignaturas][22] == "D"){
					                                	$registroAsignaturas[$conAsignaturas][23] = "EN DIFICULTAD";
					                                	if ($datosEstudiante['id_diversa'] == 1) {
					                                	    $registroAsignaturas[$conAsignaturas][29] = $notas['descriptor_diversa'];
					                                	} else {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,4);
    														$registroAsignaturas[$conAsignaturas][29] = $datosDescriptorPeriodo['descripcion'];
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodoPree($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,6);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	}
					                                }
    				                                if ($idArea == 10){
                            							$fallas = $notas['fallas'];
                            							$fallasJ = $notas['fallasJ'];
    				                                	$observacionesGenerales .= "_".$notas['observaciones'];
    				                                	$desempComp = "";
    				                                	if ($registroAsignaturas[$conAsignaturas][22] == "E") $desempComp = "EXCELENTE";
    				                                	elseif ($registroAsignaturas[$conAsignaturas][22] == "S") $desempComp = "SOBRESALIENTE";
    				                                	elseif ($registroAsignaturas[$conAsignaturas][22] == "B") $desempComp = "BUENO";
    				                                	elseif ($registroAsignaturas[$conAsignaturas][22] == "D") $desempComp = "DEFICIENTE";
    				                                	$registroAsignaturas[$conAsignaturas][23] = $desempComp;
    				                                }
												}
											}
											$conAsignaturas++;
											$conAsignaturasArea++;
										}
									}
									if ($conAsignaturasArea > 0){
										$registroAreas[$conAreas][0] = $conAreas;
										$registroAreas[$conAreas][1] = $area['descripcion'];
										$registroAreas[$conAreas][2] = number_format($sumaArea,1);
										$conAreas++;
									}
								}
								for ($ar = 0; $ar < $conAreas; $ar++){ ?>

									<?php
									for ($j = 0; $j < $conAsignaturas; $j++){
										if ($registroAsignaturas[$j][0] == $ar){ ?>
											<table class='tablaMatriculas' style="margin-top: 5px">
												<tr>
													<td width="70%" style="text-align: left; font-size: 12px; background-color: #F1F6F3;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
													<td width="30%" style="text-align: center; font-size: 12px; background-color: #F1F6F3;"><strong>DESEMPEÑO: <?=$registroAsignaturas[$j][23] ?></strong></td>
												</tr>
											</table>
											<table class='tablaMatriculas'>
											    <?php
											        if ($registroAsignaturas[$j][31] != 11){ ?>
												        <tr>
        													<td width="100%" style="font-size: 12px; padding: 1;"> <?=$registroAsignaturas[$j][29] ?></td>
												        </tr>
												        <tr>
        													<td width="100%" style="font-size: 12px; padding: 1;">
        													    <?php
        													        if ($datosEstudiante['id_diversa'] != 1) {
        													            echo "Recomendación: ".$registroAsignaturas[$j][30];
        													        }
        													    ?>
        											        </td>
        												</tr>
    													<?php
											        }
											    ?>
											</table>
											<table class='tablaMatriculas'>
												<tr>
												    <?php
												        if ($registroAsignaturas[$j][31] != 11){ ?>
        													<td width="10%" style="text-align: center; font-size: 11px; padding: 0;"><b>Historial</b></td>
        													<td width="10%" style="text-align: center; font-size: 11px; padding: 0;"> Periodo 1: <?=$registroAsignaturas[$j][3] ?></td>
        													<td width="10%" style="text-align: center; font-size: 11px; padding: 0;"> Periodo 2: <?=$registroAsignaturas[$j][6] ?></td>
        													<td width="10%" style="text-align: center; font-size: 11px; padding: 0;"> Periodo 3: <?=$registroAsignaturas[$j][9] ?></td>
        													<td width="10%" style="text-align: center; font-size: 11px; padding: 0;"> Periodo 4: <?=$registroAsignaturas[$j][12] ?></td>
        													<td width="50%" style="text-align: center; font-size: 11px; padding: 0;"></td>
        													<?php
												        }
												    ?>
												</tr>
											</table>
											<?php
										}
									} 
								}
							?>
							<br>
							<table class='tablaMatriculas'>
								<tr>
									<th width="15%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">DESEMPEÑO/PERIODO</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 1</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 2</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 3</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 4</th>
								</tr>
								<tr>
									<td style="font-size: 10px;">SUPERADO</td><td style="text-align: center;"><?=$superioresP1 ?></td><td style="text-align: center;"><?=$superioresP2 ?></td><td style="text-align: center;"><?=$superioresP3 ?></td><td style="text-align: center;"><?=$superioresP4 ?></td>
								</tr>
								<tr>
									<td style="font-size: 10px;">ALCANZADO</td><td style="text-align: center;"><?=$altosP1 ?></td><td style="text-align: center;"><?=$altosP2 ?></td><td style="text-align: center;"><?=$altosP3 ?></td><td style="text-align: center;"><?=$altosP4 ?></td>
								</tr>
								<tr>
									<td style="font-size: 10px;">EN PROCESO</td><td style="text-align: center;"><?=$basicosP1 ?></td><td style="text-align: center;"><?=$basicosP2 ?></td><td style="text-align: center;"><?=$basicosP3 ?></td><td style="text-align: center;"><?=$basicosP4 ?></td>
								</tr>
								<tr>
									<td style="font-size: 10px;">EN DIFICULTAD</td><td style="text-align: center;"><?=$bajosP1 ?></td><td style="text-align: center;"><?=$bajosP2 ?></td><td style="text-align: center;"><?=$bajosP3 ?></td><td style="text-align: center;"><?=$bajosP4 ?></td>
								</tr>
							</table>

							<div style="margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px; width: 100%;">
								<table class='tablaMatriculas'>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-top-style:none; border-top-width:medium; border-bottom-style:solid; border-bottom-width:1px">Observaciones:<p style="text-align: right; font-size: 14px; margin-top: -17px;">Ausencias Justificadas: <?=$fallasJ ?> | Ausencias Sin Justificar: <?=$fallas ?></p></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">><?=$observacionesGenerales ?></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium;">></td></tr>
								</table>
    							<p style="text-align: center;">DESEMPEÑOS [ S: SUPERADO ] | [ A: ALCANZADO ] | [ P: EN PROCESO ] | [ D: EN DIFICULTAD ]</p>
    						    <p style="text-align: center;"><b>Estudiante: <?=$datosEstudiante['estudiante'] ?> | Documento: <?=$datosEstudiante['documento'] ?> | Grado/Curso: <?=$desCurso ?> | Periodo: <?=$numPeriodo." - ".$_SESSION['aLectivo'] ?></b></p>
								<div style="margin-top: 5px;">
									<img src="<?=$rutaFirmaRector ?>" style="width: 200px; margin-left: 40px">
									<table style="width: 90%; margin-left: 50px; margin-top: -30px; font-size: 11px;">
										<tr>
											<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
											<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
										</tr>
									</table>
								</div>
							</div>
							<div class='saltopagina'></div>
							<?php
						}
					}
					else{
    					$puestosCurso = array();
    					$conMatriculados = 0;
    					$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
    					foreach ($datosMatriculados as $matriculado) {
    						$numNotas = $sumaNotas = $promedioPeriodo = 0;
    						$datosNotas = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$matriculado['id_matricula'],$numPeriodo);
    						foreach ($datosNotas as $notas) {
    							$datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
    							if ($datosAreaAsignatura['id_area'] != 10){
                                    if ($notas['recuperacion'] > $notas['definitiva'])
                                        $sumaNotas += $notas['recuperacion'];
                                    else
                                        $sumaNotas += $notas['definitiva'];
                                    $numNotas += 1;
    							}
    						}
    						if ($numNotas >= 5){
    							$puestosCurso[$conMatriculados][0] = $sumaNotas / $numNotas;
    							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
                            }
    						else{
    							$puestosCurso[$conMatriculados][0] = 0;
    							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
    						}
    						$conMatriculados++;
    					}
    					rsort($puestosCurso);
					    
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i];
							$observacionesGenerales = ""; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 80px; height: 80px; margin-top: 1px;" src="<?=$rutaEscudo ?>"></div>
							    <div style="text-align: center; font-size: 12px;">REPÚBLICA DE COLOMBIA</div>
							    <div style="text-align: center; font-size: 12px;">SECRETARÍA DE EDUCACIÓN TERRITORIAL DE TUNJA</div>
			                    <div style="text-align: center; font-size: 16px;"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></div>
			                    <div style="text-align: center; font-size: 12px;">SEDE: <?=$datosSede['nombre'] ?></div>
			                    <!--<div style="text-align: center; font-size: 12px;"><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></div>-->
			                    <div style="text-align: center; font-size: 10px;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> | RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></div>
			                    <div style="text-align: center; font-size: 14px;">INFORME DE EVALUACIÓN POR PERIODO</div>
						    </div>
							<?php
    							$bajosP1 = $bajosP2 = $bajosP3 = $bajosP4 = "";
    							$basicosP1 = $basicosP2 = $basicosP3 = $basicosP4 = "";
    							$altosP1 = $altosP2 = $altosP3 = $altosP4 = "";
    							$superioresP1 = $superioresP2 = $superioresP3 = $superioresP4 = "";
    							
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos26($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<table class='tablaMatriculas' style="margin-top: 10px;">
									<tr>
										<td width="10%" style="padding: 1px; font-size: 12px;"><b>Estudiante</b></td><td width="40%" style="padding: 1px; font-size: 12px;"><b><?=$datosEstudiante['estudiante'] ?></b></td>
										<td width="15%" style="padding: 1px; font-size: 12px;"><b>Modalidad</b></td><td width="20%" style="padding: 1px; font-size: 12px;"><b>ACADÉMICA</b></td>
										<td width="8%" style="padding: 1px; font-size: 12px;"><b>Vigencia</b></td><td width="7%" style="padding: 1px; font-size: 12px;"><b><?=$_SESSION['aLectivo'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 0px;">
									<tr>
										<td width="10%" style="padding: 1px; font-size: 12px;"><b>Sede</b></td><td width="40%" style="padding: 1px; font-size: 12px;"><b><?=$datosSede['nombre'] ?></b></td>
										<td width="7%" style="padding: 1px; font-size: 12px;"><b>Jornada</b></td><td width="8%" style="padding: 1px; font-size: 12px;"><b>ÚNICA</b></td>
										<td width="7%" style="padding: 1px; font-size: 12px;"><b>Curso</b></td><td width="13%" style="padding: 1px; font-size: 12px;"><b><?=$desCurso ?></b></td>
										<td width="8%" style="padding: 1px; font-size: 12px;"><b>Periodo</b></td><td width="7%" style="padding: 1px; font-size: 12px;"><b><?=$numPeriodo ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 10px;">
									<tr>
										<td width="53%" style="padding: 1px; font-size: 12px;"><b>Nombre de la Asignatura</b></td>
										<td width="4%" style="text-align: center; padding: 1px; font-size: 12px;"><b>IHS</b></td>
										<td width="12%" style="text-align: center; padding: 1px; font-size: 12px;"><b>Historial</b></td>
										<td width="5%" style="text-align: center; padding: 1px; font-size: 12px;"><b>Prom</b></td>
										<td width="5%" style="text-align: center; padding: 1px; font-size: 12px;"><b>Recup</b></td>
										<td width="5%" style="text-align: center; padding: 1px; font-size: 12px;"><b>Def</b></td>
										<td width="10%" style="text-align: center; padding: 1px; font-size: 12px;"><b>Desempeño</b></td>
										<td width="3%" style="text-align: center; padding: 1px; font-size: 12px;"><b>AJ</b></td>
										<td width="3%" style="text-align: center; padding: 1px; font-size: 12px;"><b>AS</b></td>
									</tr>
								</table>
								<?php
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								$registroAreas = $registroAsignaturas = array();
								$conAsignaturas = $conAreas = 0;
								foreach ($datosAreas as $area) {
									$idArea = $area['id_area'];
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$conAsignaturasArea = $sumaArea = 0;
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										if ($asignaturaarea['porcentaje'] == '' || $asignaturaarea['porcentaje'] < 1 || $asignaturaarea['porcentaje'] > 100)
											$porcentaje = 100;
										else
											$porcentaje = $asignaturaarea['porcentaje'];
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										if (count($notasEstudiante)){
											$registroAsignaturas[$conAsignaturas][0] = $conAreas;
											$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion'];
											$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
											$registroAsignaturas[$conAsignaturas][31] = $asignaturaarea['id_asignatura'];
											foreach ($notasEstudiante as $notas) {
												if ($notas['periodo'] == 1){
													$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 1. En este colegio no se hacen recuperaciones por periodo
													if ($notas['recuperacion']>$notas['definitiva'])
													    $registroAsignaturas[$conAsignaturas][15] = $notas['recuperacion'];
													else
													    $registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
													    
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][15] <= $supBajo) {
                        								    $bajosP1++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][15] >= $infBasico && $registroAsignaturas[$conAsignaturas][15] <= $supBasico){
                        								    $basicosP1++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][15] >= $infAlto && $registroAsignaturas[$conAsignaturas][15] <= $supAlto){
                        								    $altosP1++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][15] >= $infSuperior && $registroAsignaturas[$conAsignaturas][15] <= $supSuperior){
                        								    $superioresP1++;
                        								}
                    								}
												}
												elseif ($notas['periodo'] == 2){
													$registroAsignaturas[$conAsignaturas][6] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][7] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][8] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 2. En este colegio no se hacen recuperaciones por periodo
													if ($notas['recuperacion']>$notas['definitiva'])
													    $registroAsignaturas[$conAsignaturas][16] = $notas['recuperacion'];
													else
													    $registroAsignaturas[$conAsignaturas][16] = $notas['definitiva'];
													    
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][16] <= $supBajo) {
                        								    $bajosP2++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][16] >= $infBasico && $registroAsignaturas[$conAsignaturas][16] <= $supBasico){
                        								    $basicosP2++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][16] >= $infAlto && $registroAsignaturas[$conAsignaturas][16] <= $supAlto){
                        								    $altosP2++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][16] >= $infSuperior && $registroAsignaturas[$conAsignaturas][16] <= $supSuperior){
                        								    $superioresP2++;
                        								}
                    								}
												}
												elseif ($notas['periodo'] == 3){
													$registroAsignaturas[$conAsignaturas][9] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][10] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][11] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 3. En este colegio no se hacen recuperaciones por periodo
													if ($notas['recuperacion']>$notas['definitiva'])
													    $registroAsignaturas[$conAsignaturas][17] = $notas['recuperacion'];
													else
													    $registroAsignaturas[$conAsignaturas][17] = $notas['definitiva'];
													    
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][17] <= $supBajo) {
                        								    $bajosP3++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][17] >= $infBasico && $registroAsignaturas[$conAsignaturas][17] <= $supBasico){
                        								    $basicosP3++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][17] >= $infAlto && $registroAsignaturas[$conAsignaturas][17] <= $supAlto){
                        								    $altosP3++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][17] >= $infSuperior && $registroAsignaturas[$conAsignaturas][17] <= $supSuperior){
                        								    $superioresP3++;
                        								}
                    								}
												}
												elseif ($notas['periodo'] == 4){
													$registroAsignaturas[$conAsignaturas][12] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][13] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][14] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 4. En este colegio no se hacen recuperaciones por periodo
													if ($notas['recuperacion']>$notas['definitiva'])
													    $registroAsignaturas[$conAsignaturas][18] = $notas['recuperacion'];
													else
													    $registroAsignaturas[$conAsignaturas][18] = $notas['definitiva'];
													    
                    								if ($idArea != 10){
                        								if ($registroAsignaturas[$conAsignaturas][18] <= $supBajo) {
                        								    $bajosP4++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][18] >= $infBasico && $registroAsignaturas[$conAsignaturas][18] <= $supBasico){
                        								    $basicosP4++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][18] >= $infAlto && $registroAsignaturas[$conAsignaturas][18] <= $supAlto){
                        								    $altosP4++;
                        								} elseif ($registroAsignaturas[$conAsignaturas][18] >= $infSuperior && $registroAsignaturas[$conAsignaturas][18] <= $supSuperior){
                        								    $superioresP4++;
                        								}
                    								}
												}
												if ($notas['periodo'] == $numPeriodo){
													$registroAsignaturas[$conAsignaturas][19] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][20] = "";
													if ($notas['recuperacion'] != 0)
													    $registroAsignaturas[$conAsignaturas][20] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][21] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo actual. En este colegio no se hacen recuperaciones por periodo
													if ($notas['recuperacion']>$notas['definitiva'])
													    $registroAsignaturas[$conAsignaturas][22] = $notas['recuperacion'];
													else
													    $registroAsignaturas[$conAsignaturas][22] = $notas['definitiva'];
													
													$registroAsignaturas[$conAsignaturas][23] = "-.-";$registroAsignaturas[$conAsignaturas][30] = "";
					                                if ($registroAsignaturas[$conAsignaturas][22] <= $supBajo){
					                                	$registroAsignaturas[$conAsignaturas][23] = "BAJO";
					                                	if ($datosEstudiante['id_diversa'] == 0) {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,1);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	} else {
					                                	    $registroAsignaturas[$conAsignaturas][30] = "I- ".$notas['descriptor_diversa'];
					                                	}
					                                }
					                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infBasico && $registroAsignaturas[$conAsignaturas][22] <= $supBasico){
					                                	$registroAsignaturas[$conAsignaturas][23] = "BASICO";
					                                	if ($datosEstudiante['id_diversa'] == 0) {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,2);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	} else {
					                                	    $registroAsignaturas[$conAsignaturas][30] = "I- ".$notas['descriptor_diversa'];
					                                	}
					                                }
					                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infAlto && $registroAsignaturas[$conAsignaturas][22] <= $supAlto){
					                                	$registroAsignaturas[$conAsignaturas][23] = "ALTO";
					                                	if ($datosEstudiante['id_diversa'] == 0) {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,3);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	} else {
					                                	    $registroAsignaturas[$conAsignaturas][30] = "I- ".$notas['descriptor_diversa'];
					                                	}
					                                }
					                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infSuperior && $registroAsignaturas[$conAsignaturas][22] <= $supSuperior){
					                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERIOR";
					                                	if ($datosEstudiante['id_diversa'] == 0) {
    					                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,4);
    														$registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
					                                	} else {
					                                	    $registroAsignaturas[$conAsignaturas][30] = "I- ".$notas['descriptor_diversa'];
					                                	}
					                                }
					                                
					                                if ($idArea == 10){
					                                	$observacionesGenerales .= " ".$notas['observaciones'];
					                                }
					                                $registroAsignaturas[$conAsignaturas][50] = $notas['fallas'];
					                                $registroAsignaturas[$conAsignaturas][51] = $notas['fallasJ'];
					                                $sumaArea += $notas['definitiva'] * $porcentaje / 100;
												}
											}
											// Promedio acumulado de la asignatura
											$registroAsignaturas[$conAsignaturas][24] = number_format(($registroAsignaturas[$conAsignaturas][15] + $registroAsignaturas[$conAsignaturas][16] + $registroAsignaturas[$conAsignaturas][17] + $registroAsignaturas[$conAsignaturas][18]) / $numPeriodo,1);
											// Total fallas acumuladas
											//$registroAsignaturas[$conAsignaturas][25] = $registroAsignaturas[$conAsignaturas][5] + $registroAsignaturas[$conAsignaturas][8] + $registroAsignaturas[$conAsignaturas][11] + $registroAsignaturas[$conAsignaturas][14];
											$datosDocenteAsignatura = docentes::datosDocenteAsignatura($_SESSION['aLectivo'],$asignaturaarea['id_asignatura_grado'],$idCurso);
											$registroAsignaturas[$conAsignaturas][26] = $datosDocenteAsignatura['apellidos']." ".$datosDocenteAsignatura['nombres'];
											$conAsignaturas++;
											$conAsignaturasArea++;
										}
									}
									if ($conAsignaturasArea > 0){
										$registroAreas[$conAreas][0] = $conAreas;
										$registroAreas[$conAreas][1] = $area['descripcion'];
										$registroAreas[$conAreas][2] = number_format($sumaArea,1);

		                                if ($registroAreas[$conAreas][2] >= $infBajo && $registroAreas[$conAreas][2] <= $supBajo){
		                                	$registroAreas[$conAreas][3] = "BAJO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infBasico && $registroAreas[$conAreas][2] <= $supBasico){
		                                	$registroAreas[$conAreas][3] = "BASICO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infAlto && $registroAreas[$conAreas][2] <= $supAlto){
		                                	$registroAreas[$conAreas][3] = "ALTO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infSuperior && $registroAreas[$conAreas][2] <= $supSuperior){
		                                	$registroAreas[$conAreas][3] = "SUPERIOR";
		                                }
		                                $registroAreas[$conAreas][4] = $conAsignaturasArea;
										$conAreas++;
									}
								}
								for ($ar = 0; $ar < $conAreas; $ar++){ ?>

									<?php
									for ($j = 0; $j < $conAsignaturas; $j++){
										if ($registroAsignaturas[$j][0] == $ar){ ?>
											<table class='tablaMatriculas' style="margin-top: 0px">
												<tr>
												<?php
												    if ($registroAsignaturas[$j][31] != 11){ ?>
    													<td width="53%" style="text-align: left; font-size: 12px; padding: 1px;"><b><?=$registroAsignaturas[$j][1] ?></b><br><i>Docente: <?=$registroAsignaturas[$j][26] ?></i></td>
    													<td width="4%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][2] ?></td>
    													<td width="12%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][15]."-".$registroAsignaturas[$j][16]."-".$registroAsignaturas[$j][17]."-".$registroAsignaturas[$j][18] ?></td>
    													<td width="5%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][24] ?></td>
    													<td width="5%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][20] ?></td>
    													<td width="5%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][22] ?></td>
    													<td width="10%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][23] ?></td>
    													<td width="3%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][51] ?></td>
    													<td width="3%" style="text-align: center; font-size: 12px; padding: 1px;"><?=$registroAsignaturas[$j][50] ?></td>
    													<?php
												    }
												    else { ?>
    													<td width="50%" style="text-align: left; font-size: 12px; background-color: #F1F6F3;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
    													<?php
    													    $valComportamiento = "";
    													    if ($registroAsignaturas[$j][23] == "BAJO") {
    													        $valComportamiento = "DEFICIENTE";
    													    }
    													    elseif ($registroAsignaturas[$j][23] == "BASICO") {
    													        $valComportamiento = "BUENO";
    													    }
    													    elseif ($registroAsignaturas[$j][23] == "ALTO") {
    													        $valComportamiento = "SOBRESALIENTE";
    													    }
    													    elseif ($registroAsignaturas[$j][23] == "SUPERIOR") {
    													        $valComportamiento = "EXCELENTE";
    													    }
    														if ($registroAsignaturas[$j][23] == "BAJO"){ ?>
    															<td width="50%" style="text-align: left; font-size: 12px; background-color: #CB8B7C;"> VALORACIÓN PERIODO: <b><?=$valComportamiento ?></b></td>
    															<?php
    														}
    														else{ ?>
    															<td width="50%" style="text-align: left; font-size: 12px; background-color: #F1F6F3;"> VALORACIÓN PERIODO: <b><?=$valComportamiento ?></b></td>
    															<?php
    														}
    													?>
    													<?php
												    }
												?>
												</tr>
											</table>
											<?php
												if ($registroAsignaturas[$j][31] != 0){ ?>
													<table class='tablaMatriculas'>
														<tr>
															<td width="100%" height="20px" style="font-size: 11px; border: 1px solid; border-radius: 5px 5px 5px 5px;"><?=$registroAsignaturas[$j][30] ?></td>
														</tr>
													</table>
													<?php
												}
											?>
											<?php
										}
									} 
								}
							?>
							<br>
							<table class='tablaMatriculas'>
								<tr>
									<th width="15%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">DESEMPEÑO/PERIODO</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 1</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 2</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 3</th>
									<th width="5%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PER 4</th>
								</tr>
								<tr>
									<td style="font-size: 10px;">SUPERIOR</td><td style="text-align: center;"><?=$superioresP1 ?></td><td style="text-align: center;"><?=$superioresP2 ?></td><td style="text-align: center;"><?=$superioresP3 ?></td><td style="text-align: center;"><?=$superioresP4 ?></td>
								</tr>
								<tr>
									<td style="font-size: 10px;">ALTO</td><td style="text-align: center;"><?=$altosP1 ?></td><td style="text-align: center;"><?=$altosP2 ?></td><td style="text-align: center;"><?=$altosP3 ?></td><td style="text-align: center;"><?=$altosP4 ?></td>
								</tr>
								<tr>
									<td style="font-size: 10px;">BÁSICO</td><td style="text-align: center;"><?=$basicosP1 ?></td><td style="text-align: center;"><?=$basicosP2 ?></td><td style="text-align: center;"><?=$basicosP3 ?></td><td style="text-align: center;"><?=$basicosP4 ?></td>
								</tr>
								<tr>
									<td style="font-size: 10px;">BAJO</td><td style="text-align: center;"><?=$bajosP1 ?></td><td style="text-align: center;"><?=$bajosP2 ?></td><td style="text-align: center;"><?=$bajosP3 ?></td><td style="text-align: center;"><?=$bajosP4 ?></td>
								</tr>
							</table>
							
							
							<div style="margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px; width: 100%;">
								<table class='tablaMatriculas'>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-top-style:none; border-top-width:medium; border-bottom-style:solid; border-bottom-width:1px">Observaciones:<p style="text-align: right; font-size: 14px; margin-top: -17px;">Promedio en el periodo: <?=number_format($promedioPuesto,3) ?> | Puesto: <?=$numPuesto." de ".$conMatriculados ?></p></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">><?=$observacionesGenerales ?></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium;">></td></tr>
								</table>
								<p style="text-align: center;">IHS: Horas Semanales | P1,P2,P3,P4: Historico Notas | AJ: Ausencias Justificadas | AS: Sin justificar</p>
    							<p style="text-align: center;">RANGO DE DESEMPEÑOS [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
    						    <p style="text-align: center;"><b>Estudiante: <?=$datosEstudiante['estudiante'] ?> | Documento: <?=$datosEstudiante['documento'] ?> | Grado/Curso: <?=$desCurso ?> | Periodo: <?=$numPeriodo." - ".$_SESSION['aLectivo'] ?></b></p>
								<div style="margin-top: 5px;">
									<!--<img src="<?=$rutaFirmaRector ?>" style="width: 200px; margin-left: 40px">-->
									<table style="width: 90%; margin-left: 5px; margin-top: 30px; font-size: 11px;">
										<tr>
											<!--<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>-->
											<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
										</tr>
									</table>
								</div>
							</div>
							<div class='saltopagina'></div>
							<?php
						}
					}
				}
				/* REPORTES FINALES*/
				else{
					$numPeriodo = 4;
					$puestosCurso = array();
					$conMatriculados = 0;
					$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
					foreach ($datosMatriculados as $matriculado) {
						$numNotas = $sumaNotas = $promedioPeriodo = 0;
						$datosNotas = notas::consultaNotasEstudiante($_SESSION['aLectivo'],$matriculado['id_matricula']);
						foreach ($datosNotas as $notas) {
							$datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
							if ($datosAreaAsignatura['id_area'] != 10 && $datosAreaAsignatura['id_area'] != 19){
								$sumaNotas += $notas['definitiva'];
								$numNotas += 1;
							}
						}
						if ($numNotas >= 6){
							$puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						else{
							$puestosCurso[$conMatriculados][0] = 0;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						$conMatriculados++;
					}
					rsort($puestosCurso);
					$estudiantesSeleccionados = $_POST['chequeados'];
					for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
						$idMatricula = $estudiantesSeleccionados[$i]; ?>
					    <div>
						    <div class="escudo-reporte"><img style="width: 90px; height: 90px;" src="<?=$rutaEscudo ?>"></div>
		                    <h3><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h3>
		                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
		                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
					    </div>
						<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES FINALES</h1>
						<?php
							$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos26($_SESSION['aLectivo'],$idMatricula);
							$numPuesto = 0;
							for($k = 0; $k < $conMatriculados; $k++){
								if ($puestosCurso[$k][1] == $idMatricula){
									$numPuesto = $k + 1;
									$promedioPuesto = $puestosCurso[$k][0];
									break;
								}
							} ?>
							<br>
							<?php
							    if ($idGrado == 19){ ?>
							        <img src="encabezado-preescolar.jpg" style="width: 720px; height: 100px;">
							        <?php
							    }
							?>
							
							<table class='tablaMatriculas'>
								<tr>
									<td width="100%" style="font-size: 22px;text-align: center; border: 0; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px;"><b><?=$datosEstudiante['estudiante'] ?></b></td>
								</tr>
							</table>
							<table class='tablaMatriculas' style="margin-top: 3px; margin-bottom: 3px;">
								<tr>
									<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px;">No. Documento:<br><strong><?=$datosEstudiante['documento'] ?></strong></td>
									<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px;">Grado-Curso:<br><strong><?=$desCurso ?></strong></td>
									<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo:<br><strong><?=$_SESSION['aLectivo'] ?></strong></td>
									<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #7C9CCB; color: white; border-radius: 5px 5px 5px 5px;">Puesto:<br><strong><?=$numPuesto." de ".$conMatriculados ?></strong></td>
								</tr>
							</table>
							<?php
							$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
							$registroAreas = $registroAsignaturas = array();
							$conAsignaturas = $conAreas = $conAreasPerdidas = $conAreasPerdidasT = $conAsignaturasPerdidas = 0;
							foreach ($datosAreas as $area) {
								$idArea = $area['id_area'];
								$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
								$conAsignaturasArea = $sumaArea = 0;
								foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
									if ($asignaturaarea['porcentaje'] == '' || $asignaturaarea['porcentaje'] < 1 || $asignaturaarea['porcentaje'] > 100)
										$porcentaje = 100;
									else
										$porcentaje = $asignaturaarea['porcentaje'];
									$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
									if (count($notasEstudiante)){
										$registroAsignaturas[$conAsignaturas][8] = $registroAsignaturas[$conAsignaturas][11] = $registroAsignaturas[$conAsignaturas][14] = $registroAsignaturas[$conAsignaturas][16] = $registroAsignaturas[$conAsignaturas][17] = $registroAsignaturas[$conAsignaturas][18] = 0;
										$registroAsignaturas[$conAsignaturas][0] = $conAreas;
										$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion'];
										$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
										foreach ($notasEstudiante as $notas) {
											if ($notas['periodo'] == 1){
												$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][15] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 2){
												$registroAsignaturas[$conAsignaturas][6] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][7] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][8] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][16] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][16] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 3){
												$registroAsignaturas[$conAsignaturas][9] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][10] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][11] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][17] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][17] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 4){
												$registroAsignaturas[$conAsignaturas][12] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][13] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][14] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][18] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][18] = $notas['definitiva'];
											}
										}
										// Promedio acumulado de la asignatura
										$registroAsignaturas[$conAsignaturas][24] = number_format(($registroAsignaturas[$conAsignaturas][15] + $registroAsignaturas[$conAsignaturas][16] + $registroAsignaturas[$conAsignaturas][17] + $registroAsignaturas[$conAsignaturas][18]) / $numPeriodo,1);
										// Total fallas acumuladas
										$registroAsignaturas[$conAsignaturas][25] = $registroAsignaturas[$conAsignaturas][5] + $registroAsignaturas[$conAsignaturas][8] + $registroAsignaturas[$conAsignaturas][11] + $registroAsignaturas[$conAsignaturas][14];

										// CONSULTAR HABILITACION
										$registroAsignaturas[$conAsignaturas][22] = 0;
										$habilitacionEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado']);
										$registroAsignaturas[$conAsignaturas][20] = number_format($habilitacionEstudiante['habilitacion'],1);
										if ($registroAsignaturas[$conAsignaturas][24] > $registroAsignaturas[$conAsignaturas][20])
											$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][24];
										else
											$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][20];
                                        $registroAsignaturas[$conAsignaturas][30] = "";
		                                if ($registroAsignaturas[$conAsignaturas][22] <= $supBajo){
		                                	$registroAsignaturas[$conAsignaturas][23] = "BAJO";
		                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],4,1);
										    $registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
										    if ($area['descripcion'] != "EXPLORACION VOCACIONAL")
		                                	    $conAsignaturasPerdidas++;
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infBasico && $registroAsignaturas[$conAsignaturas][22] <= $supBasico){
		                                	$registroAsignaturas[$conAsignaturas][23] = "BASICO";
		                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],4,2);
										    $registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infAlto && $registroAsignaturas[$conAsignaturas][22] <= $supAlto){
		                                	$registroAsignaturas[$conAsignaturas][23] = "ALTO";
		                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],4,3);
										    $registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infSuperior && $registroAsignaturas[$conAsignaturas][22] <= $supSuperior){
		                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERIOR";
		                                	$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],4,4);
										    $registroAsignaturas[$conAsignaturas][30] = $datosDescriptorPeriodo['descripcion'];
		                                }
										else
											$registroAsignaturas[$conAsignaturas][23] = "-";

                                        $sumaArea += $registroAsignaturas[$conAsignaturas][22] * $porcentaje / 100;
										$conAsignaturas++;
										$conAsignaturasArea++;
									}
								}
								if ($conAsignaturasArea > 0){
									$registroAreas[$conAreas][0] = $conAreas;
									$registroAreas[$conAreas][1] = $area['descripcion'];
                                    $registroAreas[$conAreas][2] = number_format($sumaArea,1);
                                    
									$registroAreas[$conAreas][3] = "-";
	                                if ($registroAreas[$conAreas][2] <= $supBajo){
	                                	$registroAreas[$conAreas][3] = "BAJO";
	                                	if ($idGrado >= 10 && $idGrado <= 11 && $idArea >= 20 && $idArea <= 29)
	                                	    $conAreasPerdidasT++;
	                                    $conAreasPerdidas++;
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infBasico && $registroAreas[$conAreas][2] <= $supBasico){
	                                	$registroAreas[$conAreas][3] = "BASICO";
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infAlto && $registroAreas[$conAreas][2] <= $supAlto){
	                                	$registroAreas[$conAreas][3] = "ALTO";
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infSuperior && $registroAreas[$conAreas][2] <= $supSuperior){
	                                	$registroAreas[$conAreas][3] = "SUPERIOR";
	                                }
	                                $registroAreas[$conAreas][4] = $conAsignaturasArea;
									$conAreas++;
								}
							}
							for ($ar = 0; $ar < $conAreas; $ar++){ ?>
								<div style="margin-top: 3px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; width: 100%;">
									<table class='tablaMatriculas'>
										<tr>
											
											<?php
											    if ($registroAreas[$ar][1] == "COMPORTAMIENTO SOCIAL"){
												    $valComportamiento = "";
												    if ($registroAreas[$ar][3] == "BAJO") {
												        $valComportamiento = "DEFICIENTE";
												    }
												    elseif ($registroAreas[$ar][3] == "BASICO") {
												        $valComportamiento = "BUENO";
												    }
												    elseif ($registroAreas[$ar][3] == "ALTO") {
												        $valComportamiento = "SOBRESALIENTE";
												    }
												    elseif ($registroAreas[$ar][3] == "SUPERIOR") {
												        $valComportamiento = "EXCELENTE";
												    } ?>
												    <th width="70%" style="text-align: left; font-size: 12px; border: 1; background-color: #F1F6F3;"><b>Area: <?=$registroAreas[$ar][1] ?></b></th>
												    <th width="30%" style="text-align: center; font-size: 12px; border: 1; background-color: #F1F6F3;"><b>DESEMPEÑO <?=$valComportamiento ?></b></th>
												    <?php
											    } else { ?>
											        <th width="100%" style="text-align: left; font-size: 12px; border: 1; background-color: #F1F6F3;"><b>Area: <?=$registroAreas[$ar][1] ?></b></th>
											        <?php
											    }
											?>
										</tr>
									</table>									
									<?php
									for ($j = 0; $j < $conAsignaturas; $j++){
										if ($registroAsignaturas[$j][0] == $ar){
										    if ($registroAsignaturas[$j][1] != "CONDUCTA Y DISCIPLINA"){
										        if ($registroAreas[$ar][1] != "EXPLORACION VOCACIONAL"){ ?>
        											<table class='tablaMatriculas'>
        												<tr>
        													<td width="70%" style="text-align: left; font-size: 11px;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
        													<?php
        														if ($registroAsignaturas[$j][22] <= $supBajo) { ?>
        															<td width="30%" style="text-align: center; font-size: 11px; background-color: #FFD7D7;"> DEFINITIVA: <?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
        															<?php
        														}
        														else{ ?>
        															<td width="30%" style="text-align: center; font-size: 11px; background-color: #F1F6F3;"> DEFINITIVA: <?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
        															<?php
        														}
        													?>
        												</tr>
        											</table>
        											<?php
										        } else { ?>
        											<table class='tablaMatriculas'>
        												<tr>
        													<td width="100%" style="text-align: left; font-size: 11px;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
        												</tr>
        											</table>
        											<?php
										        } ?>
    											<table class='tablaMatriculas'>
    											    <tr>
    											        <td width="100%" height="20px" style="text-align: left; font-size: 11px;"><?=$registroAsignaturas[$j][30] ?></td>
    											    </tr>
    											</table>
    											<table class='tablaMatriculas'>
    												<tr>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0; background-color: #F1F6F3;"> IHS: <?=$registroAsignaturas[$j][2] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0;"> F1=<?=$registroAsignaturas[$j][5] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0;"> F2=<?=$registroAsignaturas[$j][8] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0;"> F3=<?=$registroAsignaturas[$j][11] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0;"> F4=<?=$registroAsignaturas[$j][14] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0;"> TotalF=<?=$registroAsignaturas[$j][25] ?></td>
    
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0; background-color: #F1F6F3;"> P1=<?=$registroAsignaturas[$j][15] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0; background-color: #F1F6F3;"> P2=<?=$registroAsignaturas[$j][16] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0; background-color: #F1F6F3;"> P3=<?=$registroAsignaturas[$j][17] ?></td>
    													<td width="7%" style="text-align: center; font-size: 11px; padding: 0; background-color: #F1F6F3;"> P4=<?=$registroAsignaturas[$j][18] ?></td>
    													<?php
    													if ($registroAreas[$ar][1] != "EXPLORACION VOCACIONAL"){ ?>
        													<td width="15%" style="text-align: center; font-size: 11px; padding: 0;"> Promedio: <?=$registroAsignaturas[$j][24] ?></td>
        													<td width="15%" style="text-align: center; font-size: 11px; padding: 0;"> Habilitación: <?php if($registroAsignaturas[$j][20] > 0) echo $registroAsignaturas[$j][20] ?></td>
        													<?php
    													} else { ?>
        													<td width="30%" style="text-align: center; font-size: 11px; padding: 0;"></td>
        													<?php
    													} ?>
    												</tr>
    											</table>
										        <?php
										    }
										}
									}
									?>
								</div>
								<?php
							}
						?>
						<p align="right">RANGO DE SEDEMPEÑOS [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
						<div style="margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; height: 100px; width: 100%;">
							<table class='tablaMatriculas'>
								<tr>
									<td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-top-style:none; border-top-width:medium; border-bottom-style:solid; border-bottom-width:1px">
										Observaciones: <strong>
										<?php 
										    if ($conAsignaturasPerdidas >= 1){
										        echo "ESTUDIANTE REPROBADO.";
										    } else {
    										    echo "ESTUDIANTE PROMOVIDO.";
										    }
								        ?>
								        </strong>
										<p style="text-align: right; font-size: 14px; margin-top: -17px;">El promedio general final es de <?=number_format($promedioPuesto,3) ?></p>
									</td>
								</tr>
								<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
								<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
								<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
							</table>
							<p style="text-align: right">IHS: Intensidad Horaria Semanal | F1,F2,F3,F4: Fallas en el Periodo | P1,P2,P3,P4: Nota en el Periodo | TotalF: Total Fallas Acumuladas</p>

							<div style="margin-top: 5px;">
								<img src="<?=$rutaFirmaRector ?>" style="width: 200px; margin-left: 40px">
								<table style="width: 90%; margin-left: 50px; margin-top: -20px; font-size: 11px;">
									<tr>
										<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
										<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
									</tr>
								</table>
							</div>
						</div>

						<div class='saltopagina'></div>
						<?php
					}
				}
			?>
		</div>
	</body>
</html>