<?php
	session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/notas.php";

	$numPeriodo = $_GET['idperiodo'];
	$idMatricula = $_GET['idmatricula'];
	$idCurso = $_GET['idcurso'];
	$nombreEstudiante = $_GET['estudiante'];

	$datosGradoSedeCurso = colegios::datosGradoSedeCurso($_SESSION['aLectivo'],$idCurso);
    $datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    $conAsignaturas = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = 0;
?>

<div class="col-lg-12">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Habilitaciones del Estudiante: <?=$nombreEstudiante ?></h5>
        </div>
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" name="datos-planilla" id="datos-planilla">
                <div class="form-group">
                    <div class="col-lg-12">
						<div class="table-responsive">
						    <table class="table table-striped table-bordered table-hover">
						        <thead>
						            <tr>
						                <th>AREAS/ASIGNATURAS</th>
						                <th>I.H.S.</th>
						                <th>HABILITACIÓN</th>
						                <th>FECHA</th>
						                <th>OBSERVACIONES</th>
						                <th></th>
						            </tr>
						        </thead>
						        <tbody>
						            <?php
						                foreach ($datosAreas as $area) {
						                	$swTituloArea = 1;
						                    $datosAsignaturasArea = colegios::datosAsignaturasArea($_SESSION['aLectivo'],$area['id_area']);
						                    foreach ($datosAsignaturasArea as $asignaturaarea) {
						                        $datosAsignaturaGradoSede = colegios::datosAsignaturaGradoSede($_SESSION['aLectivo'],$asignaturaarea['id_asignatura'],$datosGradoSedeCurso['id_grado_sede']);
						                        if (count($datosAsignaturaGradoSede)){
							                        $idAsignaturaGrado = $datosAsignaturaGradoSede['id_asignatura_grado'];
							                        $existeHabilitacion = 0;
							                        $habilitacion = $idHabilitacion = $fecha = $observaciones = "";
						                        	if ($swTituloArea == 1){
						                        		$swTituloArea = 0; ?>
							                			<tr><th colspan="6" style="background-color: #CCCCCC;"><?=$area['descripcion'] ?></th></tr>
							                			<?php
							                		}
								                    $consultaHabilitacionesAsignatura = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$idMatricula,$idAsignaturaGrado);
								                    if (count($consultaHabilitacionesAsignatura)){
								                        $idHabilitacion = $consultaHabilitacionesAsignatura['id_habilitacion'];
														$habilitacion = $consultaHabilitacionesAsignatura['habilitacion'];
														$fecha = $consultaHabilitacionesAsignatura['fecha'];
														$observaciones = $consultaHabilitacionesAsignatura['observaciones']; ?>
							                        	<tr>
		                            						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
		                            						<td><?=$datosAsignaturaGradoSede['ih'] ?></td>
	                        								<td><input type="text" name="H<?=$idAsignaturaGrado ?>" value="<?php if ($habilitacion > 0) echo $habilitacion; ?>" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" style="width: 30px;"></td>
	                        								<td><input type="date" name="F<?=$idAsignaturaGrado ?>" value="<?php if ($fecha > 0) echo $fecha; ?>" style="width: 120px;"></td>
	                        								<td><input type="text" name="O<?=$idAsignaturaGrado ?>" value="<?php if ($observaciones != '') echo $observaciones; ?>" maxlength="255" style="width: 350px;"></td>
		                            						<td><a class="btn-danger btn btn-xs" onclick="eliminarHabilitacionEstudiante(<?=$idHabilitacion ?>)"><i class="fa fa-trash"></i> Borrar</a></td>
		                            					</tr>
		                            					<?php
														$existeHabilitacion = 1;
							                        }
							                        if (!$existeHabilitacion){ ?>
							                        	<tr>
		                            						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
		                            						<td><?=$datosAsignaturaGradoSede['ih'] ?></td>
	                        								<td><input type="text" name="H<?=$idAsignaturaGrado ?>" value="" maxlength="3" onKeyPress="return soloNotas(event)" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)" style="width: 30px;"></td>
	                        								<td><input type="date" name="F<?=$idAsignaturaGrado ?>" value="<?php if ($fecha > 0) echo $fecha; ?>" style="width: 120px;"></td>
	                        								<td><input type="text" name="O<?=$idAsignaturaGrado ?>" value="<?php if ($observaciones != '') echo $observaciones; ?>" maxlength="255" style="width: 350px;"></td>
		                            						<td></td>
		                            					</tr>
							                        	<?php
							                        }
													$conAsignaturas++; ?>
							                        <input type="hidden" name="A<?=$idAsignaturaGrado ?>" id="A<?=$idAsignaturaGrado ?>" value="<?=$idAsignaturaGrado ?>">
							                        <?php
							                    }
						                    }
							            }
							        ?>
						        </tbody>
						    </table>
						</div>
						<label class="btn btn-primary" onclick="guardarHabilitacionesEstudiante()"><i class="fa fa-save"> </i> Guardar Habilitaciones Estudiante</label>
						<label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
						<hr>
						<script src="../../js/demo/peity-demo.js"></script>
                   	</div>
                </div>
            </form>
        </div>
    </div>
</div>
