<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $puestosCurso = array();
    if ($_SESSION['idColegio'] == 2 || $_SESSION['idColegio'] == 3 || $_SESSION['idColegio'] == 5 || $_SESSION['idColegio'] == 17 || $_SESSION['idColegio'] == 25 || $_SESSION['idColegio'] == 29){
        $conMatriculados = 0;
        $datosEstudiantes = estudiantes::datosRenovadosColegioActivos($_SESSION['aLectivo']);
        foreach ($datosEstudiantes as $estudiante) {
            $numNotas = $sumaNotas = 0;
            $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
            foreach ($notasEstudiante as $notas) {
                $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                if ($datosAreaAsignatura['id_area'] != 10){
                    $sumaNotas += $notas['definitiva'];
                    $numNotas += 1;
                }
            }
            if ($numNotas >= 5)
                $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
            else
                $puestosCurso[$conMatriculados][0] = 0;
            $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
            $datosSede = colegios::datosSede($_SESSION['aLectivo'],$estudiante['id_sede']);
            $puestosCurso[$conMatriculados][2] = $datosSede['nombre'];
            $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$estudiante['id_curso']);
            $puestosCurso[$conMatriculados][3] = $datosCurso['nomenclatura'];
            $conMatriculados += 1;
        }
    }
    else {
        $conMatriculados = 0;
        $datosEstudiantes = estudiantes::datosRenovadosColegioActivos($_SESSION['aLectivo']);
        foreach ($datosEstudiantes as $estudiante) {
            $numNotas = $sumaNotas = 0;
            $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
            foreach ($notasEstudiante as $notas) {
                if ($_SESSION['idColegio'] == 0){
                    if ($notas['recuperacion'] > $notas['definitiva'])
                        $sumaNotas += $notas['recuperacion'];
                    else
                        $sumaNotas += $notas['definitiva'];
                }
                else{
                    if ($notas['recuperacion'] > $notas['definitiva'])
                        $sumaNotas += $notas['recuperacion'];
                    else
                        $sumaNotas += $notas['definitiva'];
                }
                $numNotas += 1;
            }
            if ($numNotas >= 5)
                $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
            else
                $puestosCurso[$conMatriculados][0] = 0;
            $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
            $datosSede = colegios::datosSede($_SESSION['aLectivo'],$estudiante['id_sede']);
            $puestosCurso[$conMatriculados][2] = $datosSede['nombre'];
            $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$estudiante['id_curso']);
            $puestosCurso[$conMatriculados][3] = $datosCurso['nomenclatura'];
            $conMatriculados += 1;
        }
    }
    rsort($puestosCurso);
?>
<div class="col-lg-9">
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th>PUESTO</th>
                    <th>APELLIDOS Y NOMBRES DEL ESTUDIANTE</th>
                    <th>PROMEDIO</th>
                    <th>SEDE</th>
                    <th>GRADO-CURSO</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $numPuesto = 0;
                    for ($j = 0; $j < $conMatriculados; $j++){
                        $numPuesto = $j + 1; ?>
                        <tr>
                            <td><?=$numPuesto ?></td>
                            <td><?=$puestosCurso[$j][1] ?></td>
                            <td><?=$puestosCurso[$j][0] ?></td>
                            <td><?=$puestosCurso[$j][2] ?></td>
                            <td><?=$puestosCurso[$j][3] ?></td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
    </div>
    <label class="btn btn-success" onclick="imprimirPuestosColegio()"><i class="fa fa-print"> </i> Imprimir Listado</label>
    <label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
</div>
