<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/notas.php";

	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idCurso = $_POST['idcurso'];
	$numPeriodo = $_POST['periodo'];
	$numCertificado = $_POST['numcerti'];
	$rutaFirmaRector = "../../../colegios/".$_SESSION['bdColegio']."/firmas/rector.jpg";
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
	$notaMinima = $infBajo;
	$notaMaxima = $supSuperior;
	$nombreRepresentante = $datosConfiguracion['representante'];
	$cargoRepresentante = $datosConfiguracion['cargo_representante'];
	$documentoRepresentante = $datosConfiguracion['documento_representante'];
	$nombreAdministrador = $datosConfiguracion['administrador'];
	$cargoAdministrador = $datosConfiguracion['cargo_administrador'];
	$documentoAdministrador = $datosConfiguracion['documento_administrador'];

	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$idGradoSede = $datosCurso['id_grado_sede'];
	$idJornada = $datosCurso['id_jornada'];
	$idDocente = $datosCurso['id_docente'];
	$nombreJornada = $nombreDirector = $nombreSede = "-";
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	$datosDirector = docentes::datosDirectorCurso($idDocente);
	$nombreDirector = $datosDirector['apellidos']." ".$datosDirector['nombres'];
	$datosJornada = sised::datosJornada($datosCurso['id_jornada']);
	$nombreJornada = $datosJornada['descripcion'];
	$datosColegio = sised::obtenerDatosColegioSesion($_SESSION['idColegio']);

    if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) {
        $infBajo = 1;
        $supBajo = 3.4;
        $infBasico = 3.5;
        $supBasico = 3.9;
        $infAlto = 4;
        $supAlto = 4.4;
        $infSuperior = 4.5;
        $supSuperior = 5;
        $numPeriodo = 1;
    	$notaMinima = $infBajo;
    	$notaMaxima = $supSuperior;
    }
    
    date_default_timezone_set('America/Bogota');
    $dia = date("d");
    $mes = date("m");
    $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    $mesEnLetras = $meses[$mes-1];
    $anno = date("Y");
    $destino = "Expedido en ".$_SESSION['municipioColegio']." a los ".$dia." días del mes de ".$mesEnLetras." de ".$anno.".";
    $numeros = array("CERO","UNO","DOS","TRES","CUATRO","CINCO","SEIS","SIETE","OCHO","NUEVE");
?>

<!DOCTYPE html>
<html lang="es">
    <head><meta http-equiv="Content-Type" content="text/html; charset=gb18030">
	    
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	
	<body onload="imprimir();">
		<div class="vista-reportes">
			<?php
				/* CERTIFICADOS FINALES*/
				//$numPeriodo = 4;
				$estudiantesSeleccionados = $_POST['chequeados'];
				for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
					$idMatricula = $estudiantesSeleccionados[$i]; 
					$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
					$datosTipoDocumento = sised::datosTipoDocumento($datosEstudiante['id_tipo_documento']);
					$tipoDoc = $datosTipoDocumento['nomenclatura'];
        			if ($datosEstudiante['id_genero'] == 1) {
        				$genEst = "el alumno";
        				$ideEst = "identificado";
        			} else {
        				$genEst = "la alumna";
        				$ideEst = "identificada";
        			}
					
					?>
					<!--
				    <div>
					    <div class="escudo-reporte"><img style="width: 90px; height: 90px;" src="<?=$rutaEscudo ?>"></div>
	                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
	                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
	                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?></p>
	                    <p style="text-align: center;">RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
	                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
				    </div>
				    -->
				    <br><br><br><br><br><br>
				    <div>
				        <p style="font-size: 14px; text-align: right">Certificado Número: <b><?=$numCertificado ?></b></p>
				    </div>
				    <br>
				    <p style="font-size: 14px; text-align: center"><b>El suscrito Rector y Secretaria de la <?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?> DE <?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?>, con aprobación oficial según
				        Resolución No. <?=$_SESSION['resolucionColegio'] ?> y Acreditación de Calidad y Desarrollo según Resolución No. 001470 del 07 de Febrero de 2019 del Ministerio de Educación Nacional.</b>
				    </p><br>
					<h1 class="no-margins text-center" style="font-size: 28px;">C E R T I F I C A N:</h1>
					<?php
					    if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) { ?>
					        <p style="font-size: 14px; text-align: justify">Que <?=$genEst ?> <b><?=$datosEstudiante['estudiante'] ?></b> <?=$ideEst ?> con <b><?=$tipoDoc." No. ".$datosEstudiante['documento'] ?></b>, cursó en ésta Institución Educativa los estudios correspondientes al <b><?=$desCurso ?></b> del Programa de Formación Complementaria durante el año <b><?=$_SESSION['aLectivo'] ?></b>, con la intensidad horaria referida y obteniendo las siguientes calificaciones.</p>
					        <?php
						} else { ?>
					        <p style="font-size: 14px; text-align: justify">Que <?=$genEst ?> <b><?=$datosEstudiante['estudiante'] ?></b> <?=$ideEst ?> con <b><?=$tipoDoc." No. ".$datosEstudiante['documento'] ?></b>, cursa en ésta Institución Educativa los estudios correspondientes al Grado <b><?=$desCurso ?></b> durante el año lectivo <b><?=$_SESSION['aLectivo'] ?></b>, con la intensidad horaria referida y obteniendo las siguientes valoraciones parciales correspondientes al periodo No. <?=$numPeriodo ?>.</p>
					        <?php
						}
					?>
					<div style="margin-top: 5px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px;">
						<table class='tablaMatriculas'>
							<tr>
							    <?php
							        if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) { ?>
        								<th width="40%" style="text-align: center; font-size: 14px; border: 1; padding: 0px;">&Aacute;REAS/ASIGNATURAS</th>
        								<th width="5%"  style="text-align: center; font-size: 14px; border: 1; padding: 0px;">IHS</th>
        								<th width="25%" style="text-align: center; font-size: 14px; border: 1; padding: 0px;">DEFINITIVA</th>
        								<th width="30%" style="text-align: center; font-size: 14px; border: 1; padding: 0px;">HABILITACIÓN - FECHA</th>
        								<?php
							        } else { ?>
        								<th width="47%" style="text-align: center; font-size: 9px; border: 1; padding: 0px;">&Aacute;REAS/ASIGNATURAS</th>
        								<th width="5%"  style="text-align: center; font-size: 9px; border: 1; padding: 0px;">IHS</th>
        								<th width="5%"  style="text-align: center; font-size: 9px; border: 1; padding: 0px;">FALLAS</th>
        								<th width="10%" style="text-align: center; font-size: 9px; border: 1; padding: 0px;">PROMEDIO ACUMULADO</th>
        								<th width="10%" style="text-align: center; font-size: 9px; border: 1; padding: 0px;">NIVELACI&Oacute;N</th>
        								<th width="10%" style="text-align: center; font-size: 9px; border: 1; padding: 0px;">DEFINITIVA</th>
        								<th width="13%" style="text-align: center; font-size: 9px; border: 1; padding: 0px;">ESCALA NACIONAL</th>
							            <?php
							        }
						        ?>
							</tr>

							<?php
							$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
							$registroAreas = $registroAsignaturas = array();
							$numCertificado += 1;
							$conAsignaturas = $conAreas = $numNotas = $conAreasPerdidas = $conAsignaturasPerdidas = $totalAreas = 0;
							foreach ($datosAreas as $area) {
								$idArea = $area['id_area'];
								$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
								$conAsignaturasArea = $sumaArea = $sumaFallasArea = $sumaIHArea = 0;
								foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
								    if ($asignaturaarea['porcentaje'] == '' || $asignaturaarea['porcentaje'] < 1 || $asignaturaarea['porcentaje'] > 100)
											$porcentaje = 100;
									else
										$porcentaje = $asignaturaarea['porcentaje'];
									$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
									if (count($notasEstudiante)){
										$registroAsignaturas[$conAsignaturas][8] = $registroAsignaturas[$conAsignaturas][11] = $registroAsignaturas[$conAsignaturas][14] = $registroAsignaturas[$conAsignaturas][16] = $registroAsignaturas[$conAsignaturas][17] = $registroAsignaturas[$conAsignaturas][18] = 0;
										$registroAsignaturas[$conAsignaturas][0] = $conAreas;
										$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion'];
										$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
										$sumaIHArea += $registroAsignaturas[$conAsignaturas][2];
										foreach ($notasEstudiante as $notas) {
											if ($notas['periodo'] == $numPeriodo){
												$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][15] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
											}
											if ($notas['periodo'] == 1){
												$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][15] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 2){
												$registroAsignaturas[$conAsignaturas][6] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][7] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][8] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][16] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][16] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 3){
												$registroAsignaturas[$conAsignaturas][9] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][10] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][11] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][17] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][17] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 4){
												$registroAsignaturas[$conAsignaturas][12] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][13] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][14] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][18] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][18] = $notas['definitiva'];
											}
										}
										// Promedio acumulado de la asignatura
										$registroAsignaturas[$conAsignaturas][24] = number_format(($registroAsignaturas[$conAsignaturas][15] + $registroAsignaturas[$conAsignaturas][16] + $registroAsignaturas[$conAsignaturas][17] + $registroAsignaturas[$conAsignaturas][18]) / $numPeriodo,1);
										// Total fallas acumuladas
										$registroAsignaturas[$conAsignaturas][25] = $registroAsignaturas[$conAsignaturas][5] + $registroAsignaturas[$conAsignaturas][8] + $registroAsignaturas[$conAsignaturas][11] + $registroAsignaturas[$conAsignaturas][14];

										// CONSULTAR HABILITACION
										$registroAsignaturas[$conAsignaturas][22] = 0;
										$habilitacionEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado']);
										$registroAsignaturas[$conAsignaturas][20] = number_format($habilitacionEstudiante['habilitacion'],1);
										if ($registroAsignaturas[$conAsignaturas][24] > $registroAsignaturas[$conAsignaturas][20])
											$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][24];
										else
											$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][20];
										
										$registroAsignaturas[$conAsignaturas][20] = number_format($habilitacionEstudiante['habilitacion'],1)." - ".$habilitacionEstudiante['fecha']." / ".$habilitacionEstudiante['observaciones'];

		                                if ($registroAsignaturas[$conAsignaturas][22] >= $infBajo && $registroAsignaturas[$conAsignaturas][22] <= $supBajo){
		                                	$registroAsignaturas[$conAsignaturas][23] = "BAJO";
		                                	$conAsignaturasPerdidas++;
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infBasico && $registroAsignaturas[$conAsignaturas][22] <= $supBasico)
		                                	$registroAsignaturas[$conAsignaturas][23] = "BASICO";
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infAlto && $registroAsignaturas[$conAsignaturas][22] <= $supAlto)
		                                	$registroAsignaturas[$conAsignaturas][23] = "ALTO";
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infSuperior && $registroAsignaturas[$conAsignaturas][22] <= $supSuperior)
		                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERIOR";
										else
											$registroAsignaturas[$conAsignaturas][23] = "-";

										//$sumaArea += $registroAsignaturas[$conAsignaturas][22];
										$sumaArea += $registroAsignaturas[$conAsignaturas][22] * $porcentaje / 100;
										$conAsignaturas++;
										$conAsignaturasArea++;
										$sumaFallasArea = $registroAsignaturas[$conAsignaturas][25];
									}
								}
								if ($conAsignaturasArea > 0){
									$registroAreas[$conAreas][0] = $conAreas;
									$registroAreas[$conAreas][1] = $area['descripcion'];
									//$registroAreas[$conAreas][2] = number_format($sumaArea / $conAsignaturasArea,1);
                                    $registroAreas[$conAreas][2] = number_format($sumaArea,1);
									
									$registroAreas[$conAreas][3] = "-";
	                                if ($registroAreas[$conAreas][2] >= $infBajo && $registroAreas[$conAreas][2] <= $supBajo){
	                                	$registroAreas[$conAreas][3] = "BAJO";
	                                	$conAreasPerdidas++;
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infBasico && $registroAreas[$conAreas][2] <= $supBasico){
	                                	$registroAreas[$conAreas][3] = "BASICO";
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infAlto && $registroAreas[$conAreas][2] <= $supAlto){
	                                	$registroAreas[$conAreas][3] = "ALTO";
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infSuperior && $registroAreas[$conAreas][2] <= $supSuperior){
	                                	$registroAreas[$conAreas][3] = "SUPERIOR";
	                                }
	                                $registroAreas[$conAreas][4] = $conAsignaturasArea;
	                                $registroAreas[$conAreas][5] = $idArea;
	                                $registroAreas[$conAreas][6] = number_format($sumaFallasArea,0);
	                                $registroAreas[$conAreas][7] = number_format($sumaIHArea,0);
	                                if ($idArea != 10){
	                                    $totalAreas += number_format($sumaArea,1);
	                                    $numNotas += 1;
	                                }
									$conAreas++;
								}
							}
							for ($ar = 0; $ar < $conAreas; $ar++){
							    $numeroEnteros = "";
							    $numeroDecimal = "";
							    if($registroAreas[$ar][2] > 0) {
							        $numeroEnteros = floor($registroAreas[$ar][2]);
							        $numeroDecimal = number_format(($registroAreas[$ar][2]-$numeroEnteros)*10,0);
							    }
							    if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) { ?>
    								<tr>
    									<?php
    									   if ($registroAreas[$ar][5] != 10) { ?>
        										<td style="text-align: left; font-size: 14px;"><?=$registroAreas[$ar][1] ?></td>
        										<td style="text-align: center; font-size: 14px; padding: 0;"><?=$registroAreas[$ar][7] ?></td>
        										<td style="text-align: left; font-size: 14px; padding: 1;"><?php if($registroAreas[$ar][2] > 0) echo $registroAreas[$ar][2]." - ".$numeros[$numeroEnteros]." ".$numeros[$numeroDecimal] ?></td>
        										<td style="text-align: center; font-size: 14px; padding: 1;"></td>
                                                <?php
    									   }
    									?>
    								</tr>
    								<?php
    								for ($j = 0; $j < $conAsignaturas; $j++){
    									if ($registroAsignaturas[$j][0] == $ar){ ?>
    										<tr>
    											<td style="text-align: left; font-size: 9px;"><?=$registroAsignaturas[$j][1] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?=$registroAsignaturas[$j][2] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?php if($registroAsignaturas[$j][24] > 0) echo $registroAsignaturas[$j][24] ?></td>
    											<td style="text-align: left; font-size: 9px; padding: 1;"><?php if($registroAsignaturas[$j][20] > 0) echo $registroAsignaturas[$j][20] ?></td>
    										</tr>
    										<?php
    									}
    								}
							    } else { ?>
    								<tr>
    									<th colspan="6" style="text-align: left; font-size: 10px; border: 1;"><b>Area: <?=$registroAreas[$ar][1] ?></b></th>
    									<?php
    										if ($registroAreas[$ar][2] <= $supBajo) { ?>
    												<th width="10%" style="text-align: center; font-size: 10px; background-color: #FFD7D7;"><strong><?=$registroAreas[$ar][2]."-".$registroAreas[$ar][3] ?></strong></th>
    											<?php
    										}
    										else{ ?>
    											<th width="10%" style="text-align: center; font-size: 10px; background-color: #DFF0D8;"><strong><?=$registroAreas[$ar][2]."-".$registroAreas[$ar][3] ?></strong></th>
    											<?php
    										}
    									?>
    								</tr>
    								<?php
    
    								for ($j = 0; $j < $conAsignaturas; $j++){
    									if ($registroAsignaturas[$j][0] == $ar){ ?>
    										<tr>
    											<td style="text-align: left; font-size: 9px;"><?=$registroAsignaturas[$j][1] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?=$registroAsignaturas[$j][2] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?=$registroAsignaturas[$j][25] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?php if($registroAsignaturas[$j][24] > 0) echo $registroAsignaturas[$j][24] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?php if($registroAsignaturas[$j][20] > 0) echo $registroAsignaturas[$j][20] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?php if($registroAsignaturas[$j][22] > 0) echo $registroAsignaturas[$j][22] ?></td>
    											<td style="text-align: center; font-size: 9px; padding: 0;"><?=$registroAsignaturas[$j][23] ?></td>
    										</tr>
    										<?php
    									}
    								}
							    }
							}
							if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) { ?>
							    <tr>
							       <td colspan="2" style="text-align: right; font-size: 14px; border: 1;">Promedio: </td>
							       <td colspan="1" style="text-align: left; font-size: 14px; border: 1;"><?=number_format($totalAreas/$numNotas,1)." - ".$numeros[floor(number_format($totalAreas/$numNotas,1))]." ".$numeros[number_format((number_format($totalAreas/$numNotas,1)-floor(number_format($totalAreas/$numNotas,1)))*10,0)] ?></td> 
							       <td colspan="1" style="text-align: left; font-size: 14px; border: 1;"><b></b></td> 
							    </tr>
							    <?php
							} else { ?>
							    <tr>
							       <td colspan="5" style="text-align: right; font-size: 9px; border: 1;">Promedio: </td>
							       <td colspan="2" style="text-align: left; font-size: 9px; border: 1;"><?=number_format($totalAreas/$numNotas,1)." - ".$numeros[floor(number_format($totalAreas/$numNotas,1))]." ".$numeros[number_format((number_format($totalAreas/$numNotas,1)-floor(number_format($totalAreas/$numNotas,1)))*10,0)] ?></td> 
							       <!--<td colspan="1" style="text-align: left; font-size: 9px; border: 1;"><b></b></td> -->
							    </tr>
							    <?php
							} ?>
						</table>
					</div>
					<div>
					    <br>
					    <?php
						    if ($datosCurso['id_sede'] == 3 || $datosCurso['id_sede'] == 4) { ?>
						        <hr>
					            <p style="font-size: 14px; text-align: left;">Promoción: <b><?php if ($conAreasPerdidas == 0) echo "APROBÓ EL SEMESTRE"; else echo "NO APROBÓ EL SEMESTRE"; ?></b></p>
					            <hr>
					            <p style="font-size: 14px; text-align: left;">Cumplió con la asistencia a los seminarios programados para el semestre.</p>
					            <?php
					        } elseif ($numPeriodo == 5) { ?>
					            <p style="font-size: 14px; text-align: left;">Promoción: <b><?php if ($conAreasPerdidas == 0) echo "EL ESTUDIANTE ES PROMOVIDO"; else echo "EL ESTUDIANTE NO HA SIDO PROMOVIDO"; ?></b></p>
					            <?php
					        } else { ?>
					            <p style="font-size: 14px; text-align: left;"><b>Certificado Parcial Periodo No. <?=$numPeriodo ?></b></p>
					            <?php
					        }
					    ?>
					    <br>
					    <p style="font-size: 14px; text-align: left"><?=$destino ?></p>
					</div>
					<br><br>
					<div style="margin-top: 5px;">
						<!--<img src="<?=$rutaFirmaRector ?>" style="width: 180px; height: 90px; margin-left: 30px">-->
						<table style="width: 90%; margin-left: 50px; margin-top: 30px; font-size: 14px;">
							<tr>
								<td width="50%">_________________________________________<br><?=$cargoRepresentante ?> <b><?=$nombreRepresentante ?></b><br><?="C.C. ".$documentoRepresentante ?></td>
								<td width="50%">_________________________________________<br><?=$cargoAdministrador ?> <b><?=$nombreAdministrador ?></b><br><?="C.C. ".$documentoAdministrador ?></td>
							</tr>
						</table>
					</div>

					<div class='saltopagina'></div>
					<?php
				}
			?>
		</div>
		<!--
		<footer>
			<p align="center" style=" font-size: 9px;"><i class="fa fa-map-marker"> </i> DIRECCI&Oacute;N: <?=$datosColegio['direccion']." ".$datosColegio['municipio']." ".$datosColegio['departamento'] ?> &bull;&bull;&bull; <i class="fa fa-phone-square"> </i> TEL&Eacute;FONOS: <?=$datosColegio['telefono'] ?> &bull;&bull;&bull; <i class="fa fa-envelope"> </i> CORREO: <?=$datosColegio['correo'] ?></p>
		</footer>
		-->
	</body>
</html>