<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/usuarios.php";

    $idUsuario = $_GET['idusuario'];
    $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/administrativos/".$idUsuario.".jpg";
    
    $datosUsuario = usuarios::datosFichaUsuario($idUsuario);
?>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="col-lg-12">     
                <h1><i class="fa fa-user-secret"> </i> Datos del Docente
                    <?php
                        if($_SESSION['privilegioActualizar']){ ?>
                            <a class="btn btn-primary btn-xs pull-right" onclick="editarNuevoDocente()"><i class="fa fa-plus-square"> </i> Crear Nuevo Docente</a>
                            <a class="btn btn-danger btn-xs pull-right" onclick="eliminarDocente(<?=$idUsuario ?>)"><i class="fa fa-trash"></i> Eliminar Docente</a>
                            <a class="btn btn-success btn-xs pull-right" onclick="editarDatosDocente(<?=$idUsuario ?>)"><i class="fa fa-pencil-square"> </i> Modificar Datos Docente</a>
                            <?php
                        }
                    ?>
                </h1>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal">
                    <div class="form-group">
                        <div class="col-lg-2">
                            <div class="widget-head-color-box p-lg text-center">
                                <img src="<?=$rutaFoto ?>" class="img-thumbnail" width="120%">
                            </div>
                        </div>
                        <div class="col-lg-10">
                            <div class="form-group">
                                <br><br>                                
                                <label class="col-sm-2 control-label">Apellidos:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['apellidos'] ?>" disabled></div>
                                <label class="col-sm-2 control-label">Nombres:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['nombres'] ?>" disabled></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Documento:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['documento'] ?>" disabled></div>
                                <label class="col-sm-2 control-label">Expedido en:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['municipio_documento'] ?>" disabled></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Fecha Nace:</label>
                                <div class="col-sm-4"><input type="date" class="form-control" value="<?=$datosUsuario['fecha_nacimiento'] ?>" disabled></div>
                                <label class="col-sm-2 control-label">Genero:</label>
                                <div class="col-sm-4">
                                    <?php
                                        if($datosUsuario['id_genero']  == 1){ ?>
                                            <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="genero" id="genero" disabled> MASCULINO </label>
                                            <label class="checkbox-inline i-checks"> <input type="radio" value="2" name="genero" id="genero" disabled> FEMENINO </label>
                                            <?php
                                        }
                                        else{ ?>
                                            <label class="checkbox-inline i-checks"> <input type="radio" value="1" name="genero" id="genero" disabled> MASCULINO </label>
                                            <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="2" name="genero" id="genero" disabled> FEMENINO </label>
                                            <?php
                                        }
                                    ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Dirección:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['direccion'] ?>" disabled></div>
                                <label class="col-sm-2 control-label">Municipio:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['municipio_direccion'] ?>" disabled></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Teléfono:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['telefono'] ?>" disabled></div>
                                <label class="col-sm-2 control-label">Correo:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['correo'] ?>" disabled></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Titulo:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['titulo'] ?>" disabled></div>
                                <label class="col-sm-2 control-label">Escalafón:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['escalafon'] ?>" disabled></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Perfil:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="DOCENTE" disabled></div>
                                <label class="col-sm-2 control-label">Estado:</label>
                                <div class="col-sm-4">
                                    <?php
                                        if($datosUsuario['id_estado']  == 1){ ?>
                                            <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="estado" id="estado" disabled> ACTIVO </label>
                                            <label class="checkbox-inline i-checks"> <input type="radio" value="0" name="estado" id="estado" disabled> SUSPENDIDO </label>
                                            <?php
                                        }
                                        else{ ?>
                                            <label class="checkbox-inline i-checks"> <input type="radio" value="1" name="estado" id="estado" disabled> ACTIVO </label>
                                            <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="0" name="estado" id="estado" disabled> SUSPENDIDO </label>
                                            <?php
                                        }
                                    ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Usuario:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['usuario'] ?>" id="usuario" disabled></div>
                                <?php
                                    if($_SESSION['idPerfilUsuario'] == 99){ ?>
                                        <label class="col-sm-2 control-label">Contraseña:</label>
                                        <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['clave'] ?>" id="clave" disabled></div>
                                        <?php
                                    }
                                ?>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('.i-checks').iCheck({
            radioClass: 'iradio_square-green',
        });
    });
</script>
