<?php
	session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";
	
	
	if ($_GET['cargue'] == 1){
		$datosCursos = colegios::datosCursosSede($_SESSION['aLectivo'],$_GET['idsede']);
    	$datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
	    if($datosEstudiantes){ ?>
	    	<div class="table-responsive">
				<table class="table table-striped table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>APELLIDOS Y NOMBRES</th>
                            <th>#DOCUMENTO</th>
                            <th>CAMBIAR AL CURSO</th>
                        </tr>
                    </thead>
				    <tbody>
				        <?php
			                $i = 1;
			                foreach ($datosEstudiantes as $estudiante) { ?>
			                    <tr>
			                        <td> <?=$i ?></td>
			                        <td> <?=$estudiante['estudiante'] ?></td>
			                        <td> <?=$estudiante['documento'] ?></td>
			                        <td>
			                        	<select name="C<?=$estudiante['id_matricula'] ?>" id="C<?=$estudiante['id_matricula'] ?>">
			                        	<?php
											foreach ($datosCursos as $curso) {
												if ($_GET['idcurso'] == $curso['id_curso'])
													echo "<option value='".$curso['id_curso']."' selected>".$curso['nomenclatura']."</option>";
												else
													echo "<option value='".$curso['id_curso']."'>".$curso['nomenclatura']."</option>";
											}
										?>
			                        </td>
			                        <input type='hidden' name='M<?=$estudiante['id_matricula'] ?>' id='M<?=$estudiante['id_matricula'] ?>' value ="<?=$estudiante['id_matricula'] ?>">
			                    </tr>
			                    <?php
			                    $i++;
			                }
				        ?>
				    </tbody>
				</table>
				<button class="btn btn-primary" onclick="actualizarCurso()">Actualizar Datos del Curso</button>
			</div>
			<?php
		}
		else
			echo "<option value='0'>No existen Estudiantes Matriculados</option>";	
	}
	if ($_GET['cargue'] == 2){
		$datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);
    	$datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
	    if($datosEstudiantes){ ?>
	    	<div class="table-responsive">
				<table class="table table-striped table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>APELLIDOS Y NOMBRES</th>
                            <th>#DOCUMENTO</th>
                            <th>ESPECIALIDAD/TÉCNICA</th>
                        </tr>
                    </thead>
				    <tbody>
				        <?php
			                $i = 1;
			                foreach ($datosEstudiantes as $estudiante) { ?>
			                    <tr>
			                        <td> <?=$i ?></td>
			                        <td> <?=$estudiante['estudiante'] ?></td>
			                        <td> <?=$estudiante['documento'] ?></td>
			                        <td>
			                        	<select name="T<?=$estudiante['id_matricula'] ?>" id="T<?=$estudiante['id_matricula'] ?>">
			                        	<?php
											foreach ($datosEspecialidades as $especialidad) {
												if ($estudiante['id_especialidad'] == $especialidad['id_especialidad'])
													echo "<option value='".$especialidad['id_especialidad']."' selected>".$especialidad['descripcion']."</option>";
												else
													echo "<option value='".$especialidad['id_especialidad']."'>".$especialidad['descripcion']."</option>";
											}
										?>
			                        </td>
			                        <input type='hidden' name='M<?=$estudiante['id_matricula'] ?>' id='M<?=$estudiante['id_matricula'] ?>' value ="<?=$estudiante['id_matricula'] ?>">
			                    </tr>
			                    <?php
			                    $i++;
			                }
				        ?>
				    </tbody>
				</table>
				<button class="btn btn-primary" onclick="actualizarEspecialidad()">Actualizar Especialidades/Técnicas</button>
			</div>
			<?php
		}
		else
			echo "<option value='0'>No existen Estudiantes Matriculados</option>";	
	}
	if ($_GET['cargue'] == 3){
    	$datosEstudiantes = estudiantes::datosEstudiantesCursoActivosDiversa($_SESSION['aLectivo'],$_GET['idcurso']);
	    if($datosEstudiantes){ ?>
	    	<div class="table-responsive">
				<table class="table table-striped table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>No.</th>
                            <th>APELLIDOS Y NOMBRES</th>
                            <th>#DOCUMENTO</th>
                            <th>POBLACIÓN DIVERSA</th>
                        </tr>
                    </thead>
				    <tbody>
				        <?php
			                $i = 1;
			                foreach ($datosEstudiantes as $estudiante) { ?>
			                    <tr>
			                        <td> <?=$i ?></td>
			                        <td> <?=$estudiante['estudiante'].$estudiante['id_diversa'] ?></td>
			                        <td> <?=$estudiante['documento'] ?></td>
			                        <td>
			                        	<select name="D<?=$estudiante['id_estudiante'] ?>" id="D<?=$estudiante['id_estudiante'] ?>">
			                        	<?php
											if ($estudiante['id_diversa'] == 1) {
												echo "<option value='0'>NO</option>";
												echo "<option value='1' selected>SI</option>";
											} else {
												echo "<option value='0' selected>NO</option>";
												echo "<option value='1'>SI</option>";
											}
										?>
			                        </td>
			                        <input type='hidden' name='E<?=$estudiante['id_estudiante'] ?>' id='E<?=$estudiante['id_estudiante'] ?>' value ="<?=$estudiante['id_estudiante'] ?>">
			                    </tr>
			                    <?php
			                    $i++;
			                }
				        ?>
				    </tbody>
				</table>
				<button class="btn btn-primary" onclick="actualizarPoblacionDiversa()">Actualizar Población Diversa</button>
			</div>
			<?php
		}
		else
			echo "<option value='0'>No existen Estudiantes Matriculados</option>";	
	}
?>
