<?php
	session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    if($datosEstudiantes){ ?>
        <li class='list-group-item gray-bg'><strong>Lista de Estudiantes</strong>
        <a class="btn btn-default btn-xs pull-right" onclick="verEstudiantesCurso()"><i class="fa fa-refresh"> </i> Actualizar</a>
        </li>
        <?php
        foreach ($datosEstudiantes as $estudiante) {
        	$rutaFotoEstudiante = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$estudiante['id_estudiante'].".jpg"; ?>
            <li class="list-group-item">
                <a data-toggle="tab" href="#tab-1" onclick="editarFotoEstudiante(<?=$estudiante['id_estudiante'] ?>)">
                    <small class="pull-right text-muted"> <?=$estudiante['id_estudiante'] ?></small>
                    <strong><img class="img-thumbnail" src="<?=$rutaFotoEstudiante ?>" width="10%" /> <?=$estudiante['estudiante'] ?></strong>
                </a>
            </li>
            <?php
        }
	}
	else
        echo "<li class='list-group-item gray-bg'><strong>No existen Estudiantes en el Curso</strong></li>";
?>
