<?php
	session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/notas.php";

	$numPeriodo = $_GET['idperiodo'];
	$idMatricula = $_GET['idmatricula'];
	$idCurso = $_GET['idcurso'];
	$idSede = $_GET['idsede'];
	$nombreEstudiante = $_GET['estudiante'];

	$datosGradoSedeCurso = colegios::datosGradoSedeCurso($_SESSION['aLectivo'],$idCurso);
    $datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    $conAsignaturas = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = 0;
?>
<form class="form-horizontal" method="POST" name="datos-planilla" id="datos-planilla">
    <div class="col-lg-6">
        <div class="ibox float-e-margins">
            <div class="ibox-content">
                <div class="form-group">
                    <div class="col-lg-12">
                        <label>Promocionar Desde el Grado-Curso:</label>
                        <select class="form-control m-b" id="idcursodesde" disabled>
                            <option value="0">...</option>
                        </select>
                    </div>
                    <div class="col-lg-12">
						<div class="table-responsive">
						    <table class="table table-striped table-bordered table-hover">
						        <thead>
						            <tr>
						                <th>AREAS/ASIGNATURAS</th>
						                <th>DEFINITIVA</th>
						            </tr>
						        </thead>
						        <tbody>
						            <?php
						                foreach ($datosAreas as $area) {
						                	$swTituloArea = 1;
						                    $datosAsignaturasArea = colegios::datosAsignaturasArea($_SESSION['aLectivo'],$area['id_area']);
						                    foreach ($datosAsignaturasArea as $asignaturaarea) {
						                        $datosAsignaturaGradoSede = colegios::datosAsignaturaGradoSede($_SESSION['aLectivo'],$asignaturaarea['id_asignatura'],$datosGradoSedeCurso['id_grado_sede']);
						                        if (count($datosAsignaturaGradoSede)){
							                        $idAsignaturaGrado = $datosAsignaturaGradoSede['id_asignatura_grado'];
							                        $existeNota = 0;
							                        $definitiva = $recuperacion = $fallas = $idCalificacion = "";
								                    $consultaNotasAsignaturaPeriodo = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$idMatricula,$idAsignaturaGrado,$numPeriodo);
								                    if (count($consultaNotasAsignaturaPeriodo)){
								                        $idCalificacion = $consultaNotasAsignaturaPeriodo['id_calificacion'];
														$definitiva = $definitivaFinal = $consultaNotasAsignaturaPeriodo['definitiva'];
														$recuperacion = $consultaNotasAsignaturaPeriodo['recuperacion'];
                                                        if ($recuperacion > $definitiva)
                                                            $definitivaFinal = $recuperacion;
									                    $claseFila = "";
									                    if ($definitivaFinal >= $infBajo && $definitivaFinal <= $supBajo){
									                        $conBajos++;
									                        $claseFila = "alert alert-danger";
									                    }
									                    elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
									                        $conBasicos++;
									                        $claseFila = "alert alert-info";
									                    }
									                    elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
									                        $conAltos++;
									                        $claseFila = "alert alert-warning";
									                    }
									                    elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
									                        $conSuperiores++;
									                        $claseFila = "alert alert-success";
									                    } ?>
							                        	<tr>
		                            						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
	                        								<td class="<?=$claseFila ?>">
	                        								    <!--<strong><?=$definitivaFinal ?></strong>-->
	                        								    <input type="text" name="D<?=$idAsignaturaGrado ?>" value="<?php if ($definitivaFinal > 0) echo $definitivaFinal; ?>">
	                        								    <input type="hidden" name="<?=$conAsignaturas ?>" id="<?=$conAsignaturas ?>" value="<?php if ($definitivaFinal > 0) echo $definitivaFinal; ?>" disabled>
	                        								</td>
		                            					</tr>
		                            					<?php
														$existeNota = 1;
							                        }
							                        if (!$existeNota){ ?>
							                        	<tr>
		                            						<td><i class="fa fa-book"></i> <?=$asignaturaarea['descripcion'] ?></td>
		                            						<td></td>
		                            					</tr>
							                        	<?php
							                        }
													$conAsignaturas++; ?>
							                        <input type="hidden" name="A<?=$idAsignaturaGrado ?>" id="A<?=$idAsignaturaGrado ?>" value="<?=$idAsignaturaGrado ?>">
							                        <?php
							                    }
						                    }
							            }
							            if ($conAsignaturas)
						                	$promedioEstudiante = $totalNotas / $conAsignaturas;
						                $totalConDesempenos = $conBajos + $conBasicos + $conAltos + $conSuperiores;
							        ?>
						        </tbody>
						    </table>
						</div>
                   	</div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="ibox float-e-margins">
            <div class="ibox-content">
                <div class="form-group">
                    <div class="col-lg-12">
                        <label>Promocionar Hacia el Grado-Curso:</label>
                        <select class="form-control m-b" id="idcursohacia" name="idcursohacia" onchange="verNotasHacia()">
                            <option value="0">...</option>
                        </select>
                    </div>
                    <div class="col-lg-12" id="contenidohacia"></div>
                </div>
            </div>
        </div>
    </div>
</form>
    <script>
        $(document).ready(function () {
            $.get('../../../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsede').val(),function(data){
                $('#idcursodesde').html(data);
                $('#idcursohacia').html(data);
                document.getElementById("idcursodesde").selectedIndex = document.getElementById("idcurso").selectedIndex;
            });
            //var selected = document.getElementById("idcursodesde");
        });
        
        function verNotasHacia(){
            if ($('#idcursohacia').val() != 0){
                var estudiante = document.getElementById('idmatricula')[document.getElementById('idmatricula').selectedIndex].text;

                $.get('php/ver-notas-estudiante-promocion-hacia.php?idmatricula=' + $('#idmatricula').val() + '&idperiodo=' + $('#periodo').val() + '&idsede=' + $('#idsede').val() + '&idcursohacia=' + $('#idcursohacia').val() + '&estudiante=' + estudiante,function(data){
                    $('#contenidohacia').html(data);
                    copiarNotas();
                });
                $('#contenidohacia').show();
            }
            else
                $('#contenidohacia').hide();
        }
        
        function copiarNotas() {
            for (i = 0; i < <?=$conAsignaturas ?>; i++) {
                $("#DE"+i).val($("#"+i).val());
            }
        }
        
   </script>
