<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/usuarios.php";
    require_once "../../../clases/sised.php";

    $datosUsuarios = usuarios::datosUsuarios();

    if($datosUsuarios){
        $conUsuarios = 1; 
        foreach ($datosUsuarios as $usuario) {
            $datosPerfil = sised::datosPerfil($usuario['id_perfil']);
            if ($conUsuarios == 1) { ?>
                <li class="list-group-item active">
                    <a data-toggle="tab" href="#tab-1" onclick="verDatosUsuario(<?=$usuario['id_usuario'] ?>)">
                        <strong> <?=$usuario['apellidos'] ?></strong> <?=$usuario['nombres'] ?><br><?=$datosPerfil['descripcion'] ?>
                    </a>
                </li>
                <script>verDatosUsuario(<?=$usuario['id_usuario'] ?>)</script>
                <?php
            }
            else { ?>
                <li class="list-group-item">
                    <a data-toggle="tab" href="#tab-1" onclick="verDatosUsuario(<?=$usuario['id_usuario'] ?>)">
                        <strong> <?=$usuario['apellidos'] ?></strong> <?=$usuario['nombres'] ?><br><?=$datosPerfil['descripcion'] ?>
                    </a>
                </li>
                <?php
            }
            $conUsuarios++;
        }
    }
    else{ ?>
        <li class='list-group-item gray-bg'><strong>No existen Usuarios en el Sistema</strong></li>
        <?php
    }

?>