<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";
	
	$estudiantesMarcados = 0;
	if ( isset($_GET['chequeados']) ){
		$arregloSeleccionados = $_GET['chequeados'];
		$estudiantesMarcados = 1;
	}
	$numFilas = 0;
	if ($estudiantesMarcados){
		
		if (count($arregloSeleccionados)) {
			$numFilas = count($arregloSeleccionados) % 2;
			if ($numFilas == 0)
				$numFilas = count($arregloSeleccionados) / 2;
			else
				$numFilas = number_format((count($arregloSeleccionados) / 2 ),0);
				
			for ($i = 0; $i < count($arregloSeleccionados); $i++) {
				$idMatricula = $arregloSeleccionados[$i];
				$datosEstudiantes = estudiantes::datosDatosEstudianteSinCarnetMatriculado($_SESSION['aLectivo'],$idMatricula);
				$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosEstudiantes['id_sede']);
				$descripcionSede = $datosSede['nombre'];
				$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$datosEstudiantes['id_curso']);
				$descripcionCurso = $datosCurso['nomenclatura'];
				$rutaArchivoFoto = "../../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$datosEstudiantes['id_estudiante'].".jpg";
				$consecutivoPin = 10000 + $datosEstudiantes['id_estudiante'];
				$pin = $_SESSION['daneColegio'].$consecutivoPin;
				$arregloCarnets[$i][0] = $idMatricula;
				$arregloCarnets[$i][1] = $datosEstudiantes['nombres'];
				$arregloCarnets[$i][2] = $datosEstudiantes['apellidos'];
				$arregloCarnets[$i][3] = $pin;
				$arregloCarnets[$i][4] = $datosEstudiantes['documento'];
				$arregloCarnets[$i][5] = $descripcionCurso;
				$arregloCarnets[$i][6] = $descripcionSede;
				$arregloCarnets[$i][7] = $rutaArchivoFoto;
			}
		}
	}
	else {
		echo "<p>No se seleccionaron estudiantes.</p>";
	} 
?>

<!DOCTYPE html>
<html lang="es">
    <head>
       	<meta charset="UTF-8" />
        <title>Sistema Integrado de Informaci&oacute;n y Servicios para Instituciones Educativas</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">
        <link rel="stylesheet" type='text/css' href="../css/fuentes.css" >
   		<link rel="stylesheet" type="text/css" href="../css/carnet.css"> 
   		<link rel="stylesheet" type="text/css" href="../css/imprimir.css" media="print"> 

	</head>
	
	<body>
		<div class="ventana1100">
			<div class="carnets">
				<?php
					$numCarnet = 0;
					for ($f = 1; $f <= $numFilas; $f++) { 
						$rutaFondoCarnet = "../imagenes/fondo".$_SESSION['idColegio'].".jpg";
						if ($numCarnet < count($arregloSeleccionados)) {?>
							<div class='carnets-izq' style="background-image: url(<?=$rutaFondoCarnet ?>); background-size: 500px">
								<div>
									<img src="<?=$arregloCarnets[$numCarnet][7] ?>" style="float: right; margin-right: 30px; margin-top: 40px; width: 150px;">
								</div>
								<div style="margin-left: 40px; float: left;">
									<p style="font-family: calibri; font-size: 12px; color: grey; margin-top: 110px;"> Nombres</p>
									<p style="font-family: calibri; font-size: 19px; color: #007CC2; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][1] ?></b></p>
									<p style="font-family: calibri; font-size: 12px; color: grey; margin-top: -18px;"> Apellidos</p>
									<p style="font-family: calibri; font-size: 19px; color: #007CC2; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][2] ?></b></p>
									<div style="margin-left: 0px; float: left;">
										<p style="font-family: calibri; font-size: 12px; color: grey; margin-top: -18px;"> No. Documento</p>
										<p style="font-family: calibri; font-size: 17px; color: #007CC2; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][4] ?></b></p>
										<br>
										<p style="font-family: calibri; font-size: 14px; color: white; margin-top: -1px;"> Grado:</p>
										<p style="font-family: calibri; font-size: 19px; color: white; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][5] ?></b></p>
										<p style="font-family: calibri; font-size: 14px; color: white; margin-top: -15px;"><b> SEDE <?=$arregloCarnets[$numCarnet][6] ?></b></p>
									</div>
								</div>																
							</div>
						<?php } 
						$numCarnet += 1;
						if ($numCarnet < count($arregloSeleccionados)) {?>
							<div class='carnets-der' style="background-image: url(<?=$rutaFondoCarnet ?>); background-size: 500px">
								<div>
									<img src="<?=$arregloCarnets[$numCarnet][7] ?>" style="float: right; margin-right: 30px; margin-top: 40px; width: 150px;">
								</div>
								<div style="margin-left: 40px; float: left;">
									<p style="font-family: calibri; font-size: 12px; color: grey; margin-top: 110px;"> Nombres</p>
									<p style="font-family: calibri; font-size: 19px; color: #007CC2; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][1] ?></b></p>
									<p style="font-family: calibri; font-size: 12px; color: grey; margin-top: -18px;"> Apellidos</p>
									<p style="font-family: calibri; font-size: 19px; color: #007CC2; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][2] ?></b></p>
									<div style="margin-left: 0px; float: left;">
										<p style="font-family: calibri; font-size: 12px; color: grey; margin-top: -18px;"> No. Documento</p>
										<p style="font-family: calibri; font-size: 17px; color: #007CC2; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][4] ?></b></p>
										<br>
										<p style="font-family: calibri; font-size: 14px; color: white; margin-top: -1px;"> Grado:</p>
										<p style="font-family: calibri; font-size: 19px; color: white; margin-top: -18px;"><b><?=$arregloCarnets[$numCarnet][5] ?></b></p>
										<p style="font-family: calibri; font-size: 14px; color: white; margin-top: -15px;"><b> SEDE <?=$arregloCarnets[$numCarnet][6] ?></b></p>
									</div>
								</div>																
							</div>
						<?php }
						$numCarnet += 1;
					}
				?>
			</div>
		</div>
	</body>
</html>